# GstH264Parser

It offers bitstream parsing in both AVC (length-prefixed) and Annex B (0x000001 start code prefix) format. To identify a NAL unit in a bitstream and parse its headers, first call:

- gst_h264_parser_identify_nalu to identify a NAL unit in an Annex B type bitstream

- gst_h264_parser_identify_nalu_avc to identify a NAL unit in an AVC type bitstream

The following functions are then available for parsing the structure of the GstH264NalUnit, depending on the GstH264NalUnitType:

- From GST_H264_NAL_SLICE to GST_H264_NAL_SLICE_IDR: gst_h264_parser_parse_slice_hdr

- GST_H264_NAL_SEI: gst_h264_parser_parse_sei

- GST_H264_NAL_SPS: gst_h264_parser_parse_sps

- GST_H264_NAL_PPS: gst_h264_parser_parse_pps

- Any other: gst_h264_parser_parse_nal

One of these functions must be called on every NAL unit in the bitstream, in order to keep the internal structures of the GstH264NalParser up to date. It is legal to call gst_h264_parser_parse_nal on NAL units of any type, if no special parsing of the current NAL unit is required by the application.

For more details about the structures, look at the ITU-T H.264 and ISO/IEC 14496-10 â€“ MPEG-4 Part 10 specifications, available at:

- ITU-T H.264: http://www.itu.int/rec/T-REC-H.264

- ISO/IEC 14496-10: http://www.iso.org/iso/iso_catalogue/catalogue_tc/catalogue_detail.htm?csnumber=56538

## GstH264BufferingPeriod

### Members

`sps` (GstH264SPS *) –
No description available
`nal_initial_cpb_removal_delay` (guint32 *) –
No description available
`nal_initial_cpb_removal_delay_offset` (guint32 *) –
No description available
`vcl_initial_cpb_removal_delay` (guint32 *) –
No description available
`vcl_initial_cpb_removal_delay_offset` (guint32 *) –
No description available

## GstCodecParsers.H264BufferingPeriod

### Members

`sps` (GstCodecParsers.H264SPS) –
No description available
`nal_initial_cpb_removal_delay` ([ Number ]) –
No description available
`nal_initial_cpb_removal_delay_offset` ([ Number ]) –
No description available
`vcl_initial_cpb_removal_delay` ([ Number ]) –
No description available
`vcl_initial_cpb_removal_delay_offset` ([ Number ]) –
No description available

## GstCodecParsers.H264BufferingPeriod

### Members

`sps` (GstCodecParsers.H264SPS) –
No description available
`nal_initial_cpb_removal_delay` ([ int ]) –
No description available
`nal_initial_cpb_removal_delay_offset` ([ int ]) –
No description available
`vcl_initial_cpb_removal_delay` ([ int ]) –
No description available
`vcl_initial_cpb_removal_delay_offset` ([ int ]) –
No description available

## GstH264ClockTimestamp

### Members

`ct_type` (guint8) –

indicates the scan type, 0: progressive, 1: interlaced, 2: unknown, 3: reserved

`nuit_field_based_flag` (guint8) –

used in calculating clockTimestamp

`counting_type` (guint8) –

specifies the method of dropping values of the n_frames

`full_timestamp_flag` (guint8) –

equal to 1 specifies that the n_frames syntax element is followed by seconds_value, minutes_value, and hours_value (Since 1.18)

`discontinuity_flag` (guint8) –

indicates whether the difference between the current value of clockTimestamp and the value of clockTimestamp computed from the previous clock timestamp can be interpreted as the time difference or not.

`cnt_dropped_flag` (guint8) –

specifies the skipping of one or more values of n_frames using the counting method specified by counting_type

`n_frames` (guint8) –

specifies the value of nFrames used to compute clockTimestamp

`seconds_flag` (guint8) –

equal to 1 specifies that seconds_value and minutes_flag are present when full_timestamp_flag is equal to 0

`seconds_value` (guint8) –

specifies the value of seconds to compute clockTimestamp

`minutes_flag` (guint8) –

equal to 1 specifies that minutes_value and hours_flag are present when full_timestamp_flag is equal to 0 and seconds_flag is equal to 1

`minutes_value` (guint8) –

specifies the value of minutes to compute clockTimestamp

`hours_flag` (guint8) –

equal to 1 specifies that hours_value is present when full_timestamp_flag is equal to 0 and seconds_flag is equal to 1 and minutes_flag is equal to 1

`hours_value` (guint8) –
No description available
`time_offset` (guint32) –

specifies the value of tOffset used to compute clockTimestamp

## GstCodecParsers.H264ClockTimestamp

### Members

`ct_type` (Number) –

indicates the scan type, 0: progressive, 1: interlaced, 2: unknown, 3: reserved

`nuit_field_based_flag` (Number) –

used in calculating clockTimestamp

`counting_type` (Number) –

specifies the method of dropping values of the n_frames

`full_timestamp_flag` (Number) –

equal to 1 specifies that the n_frames syntax element is followed by seconds_value, minutes_value, and hours_value (Since 1.18)

`discontinuity_flag` (Number) –

indicates whether the difference between the current value of clockTimestamp and the value of clockTimestamp computed from the previous clock timestamp can be interpreted as the time difference or not.

`cnt_dropped_flag` (Number) –

specifies the skipping of one or more values of n_frames using the counting method specified by counting_type

`n_frames` (Number) –

specifies the value of nFrames used to compute clockTimestamp

`seconds_flag` (Number) –

equal to 1 specifies that seconds_value and minutes_flag are present when full_timestamp_flag is equal to 0

`seconds_value` (Number) –

specifies the value of seconds to compute clockTimestamp

`minutes_flag` (Number) –

equal to 1 specifies that minutes_value and hours_flag are present when full_timestamp_flag is equal to 0 and seconds_flag is equal to 1

`minutes_value` (Number) –

specifies the value of minutes to compute clockTimestamp

`hours_flag` (Number) –

equal to 1 specifies that hours_value is present when full_timestamp_flag is equal to 0 and seconds_flag is equal to 1 and minutes_flag is equal to 1

`hours_value` (Number) –
No description available
`time_offset` (Number) –

specifies the value of tOffset used to compute clockTimestamp

## GstCodecParsers.H264ClockTimestamp

### Members

`ct_type` (int) –

indicates the scan type, 0: progressive, 1: interlaced, 2: unknown, 3: reserved

`nuit_field_based_flag` (int) –

used in calculating clockTimestamp

`counting_type` (int) –

specifies the method of dropping values of the n_frames

`full_timestamp_flag` (int) –

equal to 1 specifies that the n_frames syntax element is followed by seconds_value, minutes_value, and hours_value (Since 1.18)

`discontinuity_flag` (int) –

indicates whether the difference between the current value of clockTimestamp and the value of clockTimestamp computed from the previous clock timestamp can be interpreted as the time difference or not.

`cnt_dropped_flag` (int) –

specifies the skipping of one or more values of n_frames using the counting method specified by counting_type

`n_frames` (int) –

specifies the value of nFrames used to compute clockTimestamp

`seconds_flag` (int) –

equal to 1 specifies that seconds_value and minutes_flag are present when full_timestamp_flag is equal to 0

`seconds_value` (int) –

specifies the value of seconds to compute clockTimestamp

`minutes_flag` (int) –

equal to 1 specifies that minutes_value and hours_flag are present when full_timestamp_flag is equal to 0 and seconds_flag is equal to 1

`minutes_value` (int) –

specifies the value of minutes to compute clockTimestamp

`hours_flag` (int) –

equal to 1 specifies that hours_value is present when full_timestamp_flag is equal to 0 and seconds_flag is equal to 1 and minutes_flag is equal to 1

`hours_value` (int) –
No description available
`time_offset` (int) –

specifies the value of tOffset used to compute clockTimestamp

## GstH264ContentLightLevel

The upper bounds for the nominal target brightness light level as specified in CEA-861.3

### Members

`max_content_light_level` (guint16) –
No description available
`max_pic_average_light_level` (guint16) –
No description available

## GstCodecParsers.H264ContentLightLevel

The upper bounds for the nominal target brightness light level as specified in CEA-861.3

### Members

`max_content_light_level` (Number) –
No description available
`max_pic_average_light_level` (Number) –
No description available

## GstCodecParsers.H264ContentLightLevel

The upper bounds for the nominal target brightness light level as specified in CEA-861.3

### Members

`max_content_light_level` (int) –
No description available
`max_pic_average_light_level` (int) –
No description available

## GstH264DecRefPicMarking

### Members

`no_output_of_prior_pics_flag` (guint8) –
No description available
`long_term_reference_flag` (guint8) –
No description available
`adaptive_ref_pic_marking_mode_flag` (guint8) –
No description available
`ref_pic_marking` (GstH264RefPicMarking *) –
No description available
`n_ref_pic_marking` (guint8) –
No description available
`bit_size` (guint) –
No description available

## GstCodecParsers.H264DecRefPicMarking

### Members

`no_output_of_prior_pics_flag` (Number) –
No description available
`long_term_reference_flag` (Number) –
No description available
`adaptive_ref_pic_marking_mode_flag` (Number) –
No description available
`ref_pic_marking` ([ GstCodecParsers.H264RefPicMarking ]) –
No description available
`n_ref_pic_marking` (Number) –
No description available
`bit_size` (Number) –
No description available

## GstCodecParsers.H264DecRefPicMarking

### Members

`no_output_of_prior_pics_flag` (int) –
No description available
`long_term_reference_flag` (int) –
No description available
`adaptive_ref_pic_marking_mode_flag` (int) –
No description available
`ref_pic_marking` ([ GstCodecParsers.H264RefPicMarking ]) –
No description available
`n_ref_pic_marking` (int) –
No description available
`bit_size` (int) –
No description available

## GstH264DecoderConfigRecord

Contains AVCDecoderConfigurationRecord data as defined in ISO/IEC 14496-15

### Members

`configuration_version` (guint8) –

Indicates configurationVersion, must be 1

`profile_indication` (guint8) –

H.264 profile indication

`profile_compatibility` (guint8) –

H.264 profile compatibility

`level_indication` (guint8) –

H.264 level indiction

`length_size_minus_one` (guint8) –

Indicates the length in bytes of the NAL unit length field

`sps` (GArray *) –

Array of identified GstH264NalUnit from sequenceParameterSetNALUnit. This array may contain non-SPS nal units such as SEI message

`pps` (GArray *) –

Array of identified GstH264NalUnit from pictureParameterSetNALUnit. This array may contain non-PPS nal units such as SEI message

`chroma_format_present` (gboolean) –

TRUE if chroma information is present. Otherwise below values have no meaning

`chroma_format` (guint8) –

chroma_format_idc defined in ISO/IEC 14496-10

`bit_depth_luma_minus8` (guint8) –

Indicates bit depth of luma component

`bit_depth_chroma_minus8` (guint8) –

Indicates bit depth of chroma component

`sps_ext` (GArray *) –

Array of identified GstH264NalUnit from sequenceParameterSetExtNALUnit.

Since : 1.22

## GstCodecParsers.H264DecoderConfigRecord

Contains AVCDecoderConfigurationRecord data as defined in ISO/IEC 14496-15

### Members

`configuration_version` (Number) –

Indicates configurationVersion, must be 1

`profile_indication` (Number) –

H.264 profile indication

`profile_compatibility` (Number) –

H.264 profile compatibility

`level_indication` (Number) –

H.264 level indiction

`length_size_minus_one` (Number) –

Indicates the length in bytes of the NAL unit length field

`sps` ([ Object ]) –

Array of identified GstCodecParsers.H264NalUnit from sequenceParameterSetNALUnit. This array may contain non-SPS nal units such as SEI message

`pps` ([ Object ]) –

Array of identified GstCodecParsers.H264NalUnit from pictureParameterSetNALUnit. This array may contain non-PPS nal units such as SEI message

`chroma_format_present` (Number) –

true if chroma information is present. Otherwise below values have no meaning

`chroma_format` (Number) –

chroma_format_idc defined in ISO/IEC 14496-10

`bit_depth_luma_minus8` (Number) –

Indicates bit depth of luma component

`bit_depth_chroma_minus8` (Number) –

Indicates bit depth of chroma component

`sps_ext` ([ Object ]) –

Array of identified GstCodecParsers.H264NalUnit from sequenceParameterSetExtNALUnit.

Since : 1.22

## GstCodecParsers.H264DecoderConfigRecord

Contains AVCDecoderConfigurationRecord data as defined in ISO/IEC 14496-15

### Members

`configuration_version` (int) –

Indicates configurationVersion, must be 1

`profile_indication` (int) –

H.264 profile indication

`profile_compatibility` (int) –

H.264 profile compatibility

`level_indication` (int) –

H.264 level indiction

`length_size_minus_one` (int) –

Indicates the length in bytes of the NAL unit length field

`sps` ([ object ]) –

Array of identified GstCodecParsers.H264NalUnit from sequenceParameterSetNALUnit. This array may contain non-SPS nal units such as SEI message

`pps` ([ object ]) –

Array of identified GstCodecParsers.H264NalUnit from pictureParameterSetNALUnit. This array may contain non-PPS nal units such as SEI message

`chroma_format_present` (bool) –

True if chroma information is present. Otherwise below values have no meaning

`chroma_format` (int) –

chroma_format_idc defined in ISO/IEC 14496-10

`bit_depth_luma_minus8` (int) –

Indicates bit depth of luma component

`bit_depth_chroma_minus8` (int) –

Indicates bit depth of chroma component

`sps_ext` ([ object ]) –

Array of identified GstCodecParsers.H264NalUnit from sequenceParameterSetExtNALUnit.

Since : 1.22

### Methods

#### gst_h264_decoder_config_record_free

    gst_h264_decoder_config_record_free (GstH264DecoderConfigRecord * config)

Free config data

Parameters:

`config` ( [nullable]) –

a GstH264DecoderConfigRecord data

Since : 1.22

#### GstCodecParsers.H264DecoderConfigRecord.prototype.free

    function GstCodecParsers.H264DecoderConfigRecord.prototype.free(): {
        // javascript wrapper for 'gst_h264_decoder_config_record_free'
    }

Free config data

Parameters:

`config` (GstCodecParsers.H264DecoderConfigRecord) –

a GstCodecParsers.H264DecoderConfigRecord data

Since : 1.22

#### GstCodecParsers.H264DecoderConfigRecord.free

    def GstCodecParsers.H264DecoderConfigRecord.free (self):
        #python wrapper for 'gst_h264_decoder_config_record_free'

Free config data

Parameters:

`config` (GstCodecParsers.H264DecoderConfigRecord) –

a GstCodecParsers.H264DecoderConfigRecord data

Since : 1.22

## GstH264FramePacking

### Members

`frame_packing_id` (guint32) –
No description available
`frame_packing_cancel_flag` (guint8) –
No description available
`frame_packing_type` (guint8) –
No description available
`quincunx_sampling_flag` (guint8) –
No description available
`content_interpretation_type` (guint8) –
No description available
`spatial_flipping_flag` (guint8) –
No description available
`frame0_flipped_flag` (guint8) –
No description available
`field_views_flag` (guint8) –
No description available
`current_frame_is_frame0_flag` (guint8) –
No description available
`frame0_self_contained_flag` (guint8) –
No description available
`frame1_self_contained_flag` (guint8) –
No description available
`frame0_grid_position_x` (guint8) –
No description available
`frame0_grid_position_y` (guint8) –
No description available
`frame1_grid_position_x` (guint8) –
No description available
`frame1_grid_position_y` (guint8) –
No description available
`frame_packing_repetition_period` (guint16) –
No description available

Since : 1.6

## GstCodecParsers.H264FramePacking

### Members

`frame_packing_id` (Number) –
No description available
`frame_packing_cancel_flag` (Number) –
No description available
`frame_packing_type` (Number) –
No description available
`quincunx_sampling_flag` (Number) –
No description available
`content_interpretation_type` (Number) –
No description available
`spatial_flipping_flag` (Number) –
No description available
`frame0_flipped_flag` (Number) –
No description available
`field_views_flag` (Number) –
No description available
`current_frame_is_frame0_flag` (Number) –
No description available
`frame0_self_contained_flag` (Number) –
No description available
`frame1_self_contained_flag` (Number) –
No description available
`frame0_grid_position_x` (Number) –
No description available
`frame0_grid_position_y` (Number) –
No description available
`frame1_grid_position_x` (Number) –
No description available
`frame1_grid_position_y` (Number) –
No description available
`frame_packing_repetition_period` (Number) –
No description available

Since : 1.6

## GstCodecParsers.H264FramePacking

### Members

`frame_packing_id` (int) –
No description available
`frame_packing_cancel_flag` (int) –
No description available
`frame_packing_type` (int) –
No description available
`quincunx_sampling_flag` (int) –
No description available
`content_interpretation_type` (int) –
No description available
`spatial_flipping_flag` (int) –
No description available
`frame0_flipped_flag` (int) –
No description available
`field_views_flag` (int) –
No description available
`current_frame_is_frame0_flag` (int) –
No description available
`frame0_self_contained_flag` (int) –
No description available
`frame1_self_contained_flag` (int) –
No description available
`frame0_grid_position_x` (int) –
No description available
`frame0_grid_position_y` (int) –
No description available
`frame1_grid_position_x` (int) –
No description available
`frame1_grid_position_y` (int) –
No description available
`frame_packing_repetition_period` (int) –
No description available

Since : 1.6

## GstH264HRDParams

Defines the HRD parameters

### Members

`cpb_cnt_minus1` (guint8) –

plus 1 specifies the number of alternative CPB specifications in the bitstream

`bit_rate_scale` (guint8) –

specifies the maximum input bit rate of the SchedSelIdx-th CPB

`cpb_size_scale` (guint8) –

specifies the CPB size of the SchedSelIdx-th CPB guint32 bit_rate_value_minus1: specifies the maximum input bit rate for the SchedSelIdx-th CPB

`bit_rate_value_minus1` (guint32 *) –
No description available
`cpb_size_value_minus1` (guint32 *) –

is used together with cpb_size_scale to specify the SchedSelIdx-th CPB size

`cbr_flag` (guint8 *) –

Specifies if running in constant or intermittent bit rate mode

`initial_cpb_removal_delay_length_minus1` (guint8) –

specifies the length in bits of the cpb_removal_delay syntax element

`cpb_removal_delay_length_minus1` (guint8) –

specifies the length in bits of the dpb_output_delay syntax element

`dpb_output_delay_length_minus1` (guint8) –

> 0 specifies the length in bits of the time_offset syntax element. =0 specifies that the time_offset syntax element is not present

`time_offset_length` (guint8) –

Length of the time offset

## GstCodecParsers.H264HRDParams

Defines the HRD parameters

### Members

`cpb_cnt_minus1` (Number) –

plus 1 specifies the number of alternative CPB specifications in the bitstream

`bit_rate_scale` (Number) –

specifies the maximum input bit rate of the SchedSelIdx-th CPB

`cpb_size_scale` (Number) –

specifies the CPB size of the SchedSelIdx-th CPB guint32 bit_rate_value_minus1: specifies the maximum input bit rate for the SchedSelIdx-th CPB

`bit_rate_value_minus1` ([ Number ]) –
No description available
`cpb_size_value_minus1` ([ Number ]) –

is used together with cpb_size_scale to specify the SchedSelIdx-th CPB size

`cbr_flag` ([ Number ]) –

Specifies if running in constant or intermittent bit rate mode

`initial_cpb_removal_delay_length_minus1` (Number) –

specifies the length in bits of the cpb_removal_delay syntax element

`cpb_removal_delay_length_minus1` (Number) –

specifies the length in bits of the dpb_output_delay syntax element

`dpb_output_delay_length_minus1` (Number) –

> 0 specifies the length in bits of the time_offset syntax element. =0 specifies that the time_offset syntax element is not present

`time_offset_length` (Number) –

Length of the time offset

## GstCodecParsers.H264HRDParams

Defines the HRD parameters

### Members

`cpb_cnt_minus1` (int) –

plus 1 specifies the number of alternative CPB specifications in the bitstream

`bit_rate_scale` (int) –

specifies the maximum input bit rate of the SchedSelIdx-th CPB

`cpb_size_scale` (int) –

specifies the CPB size of the SchedSelIdx-th CPB guint32 bit_rate_value_minus1: specifies the maximum input bit rate for the SchedSelIdx-th CPB

`bit_rate_value_minus1` ([ int ]) –
No description available
`cpb_size_value_minus1` ([ int ]) –

is used together with cpb_size_scale to specify the SchedSelIdx-th CPB size

`cbr_flag` ([ int ]) –

Specifies if running in constant or intermittent bit rate mode

`initial_cpb_removal_delay_length_minus1` (int) –

specifies the length in bits of the cpb_removal_delay syntax element

`cpb_removal_delay_length_minus1` (int) –

specifies the length in bits of the dpb_output_delay syntax element

`dpb_output_delay_length_minus1` (int) –

> 0 specifies the length in bits of the time_offset syntax element. =0 specifies that the time_offset syntax element is not present

`time_offset_length` (int) –

Length of the time offset

## GstH264MasteringDisplayColourVolume

The colour volume (primaries, white point and luminance range) of display defined by SMPTE ST 2086.

### Members

`display_primaries_x` (guint16 *) –
No description available
`display_primaries_y` (guint16 *) –
No description available
`white_point_x` (guint16) –
No description available
`white_point_y` (guint16) –
No description available
`max_display_mastering_luminance` (guint32) –
No description available
`min_display_mastering_luminance` (guint32) –
No description available

## GstCodecParsers.H264MasteringDisplayColourVolume

The colour volume (primaries, white point and luminance range) of display defined by SMPTE ST 2086.

### Members

`display_primaries_x` ([ Number ]) –
No description available
`display_primaries_y` ([ Number ]) –
No description available
`white_point_x` (Number) –
No description available
`white_point_y` (Number) –
No description available
`max_display_mastering_luminance` (Number) –
No description available
`min_display_mastering_luminance` (Number) –
No description available

## GstCodecParsers.H264MasteringDisplayColourVolume

The colour volume (primaries, white point and luminance range) of display defined by SMPTE ST 2086.

### Members

`display_primaries_x` ([ int ]) –
No description available
`display_primaries_y` ([ int ]) –
No description available
`white_point_x` (int) –
No description available
`white_point_y` (int) –
No description available
`max_display_mastering_luminance` (int) –
No description available
`min_display_mastering_luminance` (int) –
No description available

## GstH264NalParser

H264 NAL Parser (opaque structure).

## GstCodecParsers.H264NalParser

H264 NAL Parser (opaque structure).

## GstCodecParsers.H264NalParser

H264 NAL Parser (opaque structure).

### Methods

#### gst_h264_nal_parser_free

    gst_h264_nal_parser_free (GstH264NalParser * nalparser)

Frees nalparser

Parameters:

`nalparser` –

the GstH264NalParser to free

#### GstCodecParsers.H264NalParser.prototype.free

    function GstCodecParsers.H264NalParser.prototype.free(): {
        // javascript wrapper for 'gst_h264_nal_parser_free'
    }

Frees nalparser

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

the GstCodecParsers.H264NalParser to free

#### GstCodecParsers.H264NalParser.free

    def GstCodecParsers.H264NalParser.free (self):
        #python wrapper for 'gst_h264_nal_parser_free'

Frees nalparser

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

the GstCodecParsers.H264NalParser to free

### Functions

#### gst_h264_nal_parser_new

    GstH264NalParser *
    gst_h264_nal_parser_new ()

Creates a new GstH264NalParser. It should be freed with gst_h264_nal_parser_free after use.

Returns –

a new GstH264NalParser

## GstH264NalUnit

Structure defining the NAL unit headers

### Members

`ref_idc` (guint16) –

not equal to 0 specifies that the content of the NAL unit contains a sequence parameter set, a sequence parameter set extension, a subset sequence parameter set, a picture parameter set, a slice of a reference picture, a slice data partition of a reference picture, or a prefix NAL unit preceding a slice of a reference picture.

`type` (guint16) –

A GstH264NalUnitType

`idr_pic_flag` (guint8) –

calculated idr_pic_flag

`size` (guint) –

The size of the NAL unit starting from offset, thus including the header bytes. e.g. type (nal_unit_type), but not the start code.

`offset` (guint) –

The offset of the first byte of the NAL unit header, just after the start code.

`sc_offset` (guint) –

The offset of the first byte of the start code of the NAL unit.

`valid` (gboolean) –

If the NAL unit is valid, which means it has already been parsed

`data` (guint8 *) –

The data array from which the NAL unit has been parsed, into which the offset and sc_offset apply.

`header_bytes` (guint8) –

The size of the NALU header in bytes. The NALU header is the 1-byte type code, and for extension / prefix NALs includes the extension header bytes. offset + header_bytes is therefore the first byte of the actual packet payload. (Since: 1.6)

`extension_type` (guint8) –

the extension type for prefix NAL/MVC/SVC (Since: 1.6)

`extension.mvc` (GstH264NalUnitExtensionMVC) –
No description available

## GstCodecParsers.H264NalUnit

Structure defining the NAL unit headers

### Members

`ref_idc` (Number) –

not equal to 0 specifies that the content of the NAL unit contains a sequence parameter set, a sequence parameter set extension, a subset sequence parameter set, a picture parameter set, a slice of a reference picture, a slice data partition of a reference picture, or a prefix NAL unit preceding a slice of a reference picture.

`type` (Number) –

A GstCodecParsers.H264NalUnitType

`idr_pic_flag` (Number) –

calculated idr_pic_flag

`size` (Number) –

The size of the NAL unit starting from offset, thus including the header bytes. e.g. type (nal_unit_type), but not the start code.

`offset` (Number) –

The offset of the first byte of the NAL unit header, just after the start code.

`sc_offset` (Number) –

The offset of the first byte of the start code of the NAL unit.

`valid` (Number) –

If the NAL unit is valid, which means it has already been parsed

`data` (Number) –

The data array from which the NAL unit has been parsed, into which the offset and sc_offset apply.

`header_bytes` (Number) –

The size of the NALU header in bytes. The NALU header is the 1-byte type code, and for extension / prefix NALs includes the extension header bytes. offset + header_bytes is therefore the first byte of the actual packet payload. (Since: 1.6)

`extension_type` (Number) –

the extension type for prefix NAL/MVC/SVC (Since: 1.6)

## GstCodecParsers.H264NalUnit

Structure defining the NAL unit headers

### Members

`ref_idc` (int) –

not equal to 0 specifies that the content of the NAL unit contains a sequence parameter set, a sequence parameter set extension, a subset sequence parameter set, a picture parameter set, a slice of a reference picture, a slice data partition of a reference picture, or a prefix NAL unit preceding a slice of a reference picture.

`type` (int) –

A GstCodecParsers.H264NalUnitType

`idr_pic_flag` (int) –

calculated idr_pic_flag

`size` (int) –

The size of the NAL unit starting from offset, thus including the header bytes. e.g. type (nal_unit_type), but not the start code.

`offset` (int) –

The offset of the first byte of the NAL unit header, just after the start code.

`sc_offset` (int) –

The offset of the first byte of the start code of the NAL unit.

`valid` (bool) –

If the NAL unit is valid, which means it has already been parsed

`data` (int) –

The data array from which the NAL unit has been parsed, into which the offset and sc_offset apply.

`header_bytes` (int) –

The size of the NALU header in bytes. The NALU header is the 1-byte type code, and for extension / prefix NALs includes the extension header bytes. offset + header_bytes is therefore the first byte of the actual packet payload. (Since: 1.6)

`extension_type` (int) –

the extension type for prefix NAL/MVC/SVC (Since: 1.6)

## GstH264NalUnitExtensionMVC

### Members

`non_idr_flag` (guint8) –

If equal to 0, it specifies that the current access unit is an IDR access unit

`priority_id` (guint8) –

The priority identifier for the NAL unit

`view_id` (guint16) –

The view identifier for the NAL unit

`temporal_id` (guint8) –

The temporal identifier for the NAL unit

`anchor_pic_flag` (guint8) –

If equal to 1, it specifies that the current access unit is an anchor access unit

`inter_view_flag` (guint8) –

If equal to 0, it specifies that the current view component is not used for inter-view prediction by any other view component in the current access unit

Since : 1.6

## GstCodecParsers.H264NalUnitExtensionMVC

### Members

`non_idr_flag` (Number) –

If equal to 0, it specifies that the current access unit is an IDR access unit

`priority_id` (Number) –

The priority identifier for the NAL unit

`view_id` (Number) –

The view identifier for the NAL unit

`temporal_id` (Number) –

The temporal identifier for the NAL unit

`anchor_pic_flag` (Number) –

If equal to 1, it specifies that the current access unit is an anchor access unit

`inter_view_flag` (Number) –

If equal to 0, it specifies that the current view component is not used for inter-view prediction by any other view component in the current access unit

Since : 1.6

## GstCodecParsers.H264NalUnitExtensionMVC

### Members

`non_idr_flag` (int) –

If equal to 0, it specifies that the current access unit is an IDR access unit

`priority_id` (int) –

The priority identifier for the NAL unit

`view_id` (int) –

The view identifier for the NAL unit

`temporal_id` (int) –

The temporal identifier for the NAL unit

`anchor_pic_flag` (int) –

If equal to 1, it specifies that the current access unit is an anchor access unit

`inter_view_flag` (int) –

If equal to 0, it specifies that the current view component is not used for inter-view prediction by any other view component in the current access unit

Since : 1.6

## GstH264PPS

H264 Picture Parameter Set

### Members

`id` (gint) –
No description available
`sequence` (GstH264SPS *) –
No description available
`entropy_coding_mode_flag` (guint8) –
No description available
`pic_order_present_flag` (guint8) –
No description available
`num_slice_groups_minus1` (guint32) –
No description available
`slice_group_map_type` (guint8) –
No description available
`run_length_minus1` (guint32 *) –
No description available
`top_left` (guint32 *) –
No description available
`bottom_right` (guint32 *) –
No description available
`slice_group_change_direction_flag` (guint8) –
No description available
`slice_group_change_rate_minus1` (guint32) –
No description available
`pic_size_in_map_units_minus1` (guint32) –
No description available
`slice_group_id` (guint8 *) –
No description available
`num_ref_idx_l0_active_minus1` (guint8) –
No description available
`num_ref_idx_l1_active_minus1` (guint8) –
No description available
`weighted_pred_flag` (guint8) –
No description available
`weighted_bipred_idc` (guint8) –
No description available
`pic_init_qp_minus26` (gint8) –
No description available
`pic_init_qs_minus26` (gint8) –
No description available
`chroma_qp_index_offset` (gint8) –
No description available
`deblocking_filter_control_present_flag` (guint8) –
No description available
`constrained_intra_pred_flag` (guint8) –
No description available
`redundant_pic_cnt_present_flag` (guint8) –
No description available
`transform_8x8_mode_flag` (guint8) –
No description available
`scaling_lists_4x4` (guint8 *) –
No description available
`scaling_lists_8x8` (guint8 *) –
No description available
`second_chroma_qp_index_offset` (gint8) –
No description available
`valid` (gboolean) –
No description available
`pic_scaling_matrix_present_flag` (guint8) –
No description available
`sps_id` (guint) –
No description available

## GstCodecParsers.H264PPS

H264 Picture Parameter Set

### Members

`id` (Number) –
No description available
`sequence` (GstCodecParsers.H264SPS) –
No description available
`entropy_coding_mode_flag` (Number) –
No description available
`pic_order_present_flag` (Number) –
No description available
`num_slice_groups_minus1` (Number) –
No description available
`slice_group_map_type` (Number) –
No description available
`run_length_minus1` ([ Number ]) –
No description available
`top_left` ([ Number ]) –
No description available
`bottom_right` ([ Number ]) –
No description available
`slice_group_change_direction_flag` (Number) –
No description available
`slice_group_change_rate_minus1` (Number) –
No description available
`pic_size_in_map_units_minus1` (Number) –
No description available
`slice_group_id` (Number) –
No description available
`num_ref_idx_l0_active_minus1` (Number) –
No description available
`num_ref_idx_l1_active_minus1` (Number) –
No description available
`weighted_pred_flag` (Number) –
No description available
`weighted_bipred_idc` (Number) –
No description available
`pic_init_qp_minus26` (Number) –
No description available
`pic_init_qs_minus26` (Number) –
No description available
`chroma_qp_index_offset` (Number) –
No description available
`deblocking_filter_control_present_flag` (Number) –
No description available
`constrained_intra_pred_flag` (Number) –
No description available
`redundant_pic_cnt_present_flag` (Number) –
No description available
`transform_8x8_mode_flag` (Number) –
No description available
`scaling_lists_4x4` ([ Number ]) –
No description available
`scaling_lists_8x8` ([ Number ]) –
No description available
`second_chroma_qp_index_offset` (Number) –
No description available
`valid` (Number) –
No description available
`pic_scaling_matrix_present_flag` (Number) –
No description available
`sps_id` (Number) –
No description available

## GstCodecParsers.H264PPS

H264 Picture Parameter Set

### Members

`id` (int) –
No description available
`sequence` (GstCodecParsers.H264SPS) –
No description available
`entropy_coding_mode_flag` (int) –
No description available
`pic_order_present_flag` (int) –
No description available
`num_slice_groups_minus1` (int) –
No description available
`slice_group_map_type` (int) –
No description available
`run_length_minus1` ([ int ]) –
No description available
`top_left` ([ int ]) –
No description available
`bottom_right` ([ int ]) –
No description available
`slice_group_change_direction_flag` (int) –
No description available
`slice_group_change_rate_minus1` (int) –
No description available
`pic_size_in_map_units_minus1` (int) –
No description available
`slice_group_id` (int) –
No description available
`num_ref_idx_l0_active_minus1` (int) –
No description available
`num_ref_idx_l1_active_minus1` (int) –
No description available
`weighted_pred_flag` (int) –
No description available
`weighted_bipred_idc` (int) –
No description available
`pic_init_qp_minus26` (int) –
No description available
`pic_init_qs_minus26` (int) –
No description available
`chroma_qp_index_offset` (int) –
No description available
`deblocking_filter_control_present_flag` (int) –
No description available
`constrained_intra_pred_flag` (int) –
No description available
`redundant_pic_cnt_present_flag` (int) –
No description available
`transform_8x8_mode_flag` (int) –
No description available
`scaling_lists_4x4` ([ int ]) –
No description available
`scaling_lists_8x8` ([ int ]) –
No description available
`second_chroma_qp_index_offset` (int) –
No description available
`valid` (bool) –
No description available
`pic_scaling_matrix_present_flag` (int) –
No description available
`sps_id` (int) –
No description available

### Methods

#### gst_h264_pps_clear

    gst_h264_pps_clear (GstH264PPS * pps)

Clears all pps internal resources.

Parameters:

`pps` –

The GstH264PPS to free

Since : 1.4

#### GstCodecParsers.H264PPS.prototype.clear

    function GstCodecParsers.H264PPS.prototype.clear(): {
        // javascript wrapper for 'gst_h264_pps_clear'
    }

Clears all pps internal resources.

Parameters:

`pps` (GstCodecParsers.H264PPS) –

The GstCodecParsers.H264PPS to free

Since : 1.4

#### GstCodecParsers.H264PPS.clear

    def GstCodecParsers.H264PPS.clear (self):
        #python wrapper for 'gst_h264_pps_clear'

Clears all pps internal resources.

Parameters:

`pps` (GstCodecParsers.H264PPS) –

The GstCodecParsers.H264PPS to free

Since : 1.4

## GstH264PicTiming

### Members

`CpbDpbDelaysPresentFlag` (guint8) –

non-zero if linked GstH264VUIParams::nal_hrd_parameters_present_flag or GstH264VUIParams::vcl_hrd_parameters_present_flag is non-zero (Since: 1.18)

`cpb_removal_delay_length_minus1` (guint8) –

specifies the length of cpb_removal_delay in bits (Since 1.18)

`dpb_output_delay_length_minus1` (guint8) –

specifies the length of dpb_output_delay in bits (Since 1.18)

`cpb_removal_delay` (guint32) –

specifies how many clock ticks to wait after removal from the CPB of the access unit associated with the most recent buffering period SEI message in a preceding access unit before removing from the buffer the access unit data associated with the picture timing SEI message

`dpb_output_delay` (guint32) –

used to compute the DPB output time of the picture

`pic_struct_present_flag` (guint8) –

GstH264VUIParams::pic_struct_present_flag

`pic_struct` (guint8) –

indicates whether a picture should be displayed as a frame or one or more fields

`clock_timestamp_flag` (guint8 *) –

equal to 1 indicates that a number of clock timestamp syntax elements are present

`clock_timestamp` (GstH264ClockTimestamp *) –

a GstH264ClockTimestamp

`time_offset_length` (guint8) –

specifies the length time_offset of GstH264ClockTimestamp in bits (Since 1.18)

## GstCodecParsers.H264PicTiming

### Members

`CpbDpbDelaysPresentFlag` (Number) –

non-zero if linked GstH264VUIParams::nal_hrd_parameters_present_flag or GstH264VUIParams::vcl_hrd_parameters_present_flag is non-zero (Since: 1.18)

`cpb_removal_delay_length_minus1` (Number) –

specifies the length of cpb_removal_delay in bits (Since 1.18)

`dpb_output_delay_length_minus1` (Number) –

specifies the length of dpb_output_delay in bits (Since 1.18)

`cpb_removal_delay` (Number) –

specifies how many clock ticks to wait after removal from the CPB of the access unit associated with the most recent buffering period SEI message in a preceding access unit before removing from the buffer the access unit data associated with the picture timing SEI message

`dpb_output_delay` (Number) –

used to compute the DPB output time of the picture

`pic_struct_present_flag` (Number) –

GstH264VUIParams::pic_struct_present_flag

`pic_struct` (Number) –

indicates whether a picture should be displayed as a frame or one or more fields

`clock_timestamp_flag` ([ Number ]) –

equal to 1 indicates that a number of clock timestamp syntax elements are present

`clock_timestamp` ([ GstCodecParsers.H264ClockTimestamp ]) –

a GstCodecParsers.H264ClockTimestamp

`time_offset_length` (Number) –

specifies the length time_offset of GstCodecParsers.H264ClockTimestamp in bits (Since 1.18)

## GstCodecParsers.H264PicTiming

### Members

`CpbDpbDelaysPresentFlag` (int) –

non-zero if linked GstH264VUIParams::nal_hrd_parameters_present_flag or GstH264VUIParams::vcl_hrd_parameters_present_flag is non-zero (Since: 1.18)

`cpb_removal_delay_length_minus1` (int) –

specifies the length of cpb_removal_delay in bits (Since 1.18)

`dpb_output_delay_length_minus1` (int) –

specifies the length of dpb_output_delay in bits (Since 1.18)

`cpb_removal_delay` (int) –

specifies how many clock ticks to wait after removal from the CPB of the access unit associated with the most recent buffering period SEI message in a preceding access unit before removing from the buffer the access unit data associated with the picture timing SEI message

`dpb_output_delay` (int) –

used to compute the DPB output time of the picture

`pic_struct_present_flag` (int) –

GstH264VUIParams::pic_struct_present_flag

`pic_struct` (int) –

indicates whether a picture should be displayed as a frame or one or more fields

`clock_timestamp_flag` ([ int ]) –

equal to 1 indicates that a number of clock timestamp syntax elements are present

`clock_timestamp` ([ GstCodecParsers.H264ClockTimestamp ]) –

a GstCodecParsers.H264ClockTimestamp

`time_offset_length` (int) –

specifies the length time_offset of GstCodecParsers.H264ClockTimestamp in bits (Since 1.18)

## GstH264PredWeightTable

### Members

`luma_log2_weight_denom` (guint8) –
No description available
`chroma_log2_weight_denom` (guint8) –
No description available
`luma_weight_l0` (gint16 *) –
No description available
`luma_offset_l0` (gint8 *) –
No description available
`chroma_weight_l0` (gint16 *) –
No description available
`chroma_offset_l0` (gint8 *) –
No description available
`luma_weight_l1` (gint16 *) –
No description available
`luma_offset_l1` (gint8 *) –
No description available
`chroma_weight_l1` (gint16 *) –
No description available
`chroma_offset_l1` (gint8 *) –
No description available

## GstCodecParsers.H264PredWeightTable

### Members

`luma_log2_weight_denom` (Number) –
No description available
`chroma_log2_weight_denom` (Number) –
No description available
`luma_weight_l0` ([ Number ]) –
No description available
`luma_offset_l0` ([ Number ]) –
No description available
`chroma_weight_l0` ([ Number ]) –
No description available
`chroma_offset_l0` ([ Number ]) –
No description available
`luma_weight_l1` ([ Number ]) –
No description available
`luma_offset_l1` ([ Number ]) –
No description available
`chroma_weight_l1` ([ Number ]) –
No description available
`chroma_offset_l1` ([ Number ]) –
No description available

## GstCodecParsers.H264PredWeightTable

### Members

`luma_log2_weight_denom` (int) –
No description available
`chroma_log2_weight_denom` (int) –
No description available
`luma_weight_l0` ([ int ]) –
No description available
`luma_offset_l0` ([ int ]) –
No description available
`chroma_weight_l0` ([ int ]) –
No description available
`chroma_offset_l0` ([ int ]) –
No description available
`luma_weight_l1` ([ int ]) –
No description available
`luma_offset_l1` ([ int ]) –
No description available
`chroma_weight_l1` ([ int ]) –
No description available
`chroma_offset_l1` ([ int ]) –
No description available

## GstH264RecoveryPoint

### Members

`recovery_frame_cnt` (guint32) –
No description available
`exact_match_flag` (guint8) –
No description available
`broken_link_flag` (guint8) –
No description available
`changing_slice_group_idc` (guint8) –
No description available

## GstCodecParsers.H264RecoveryPoint

### Members

`recovery_frame_cnt` (Number) –
No description available
`exact_match_flag` (Number) –
No description available
`broken_link_flag` (Number) –
No description available
`changing_slice_group_idc` (Number) –
No description available

## GstCodecParsers.H264RecoveryPoint

### Members

`recovery_frame_cnt` (int) –
No description available
`exact_match_flag` (int) –
No description available
`broken_link_flag` (int) –
No description available
`changing_slice_group_idc` (int) –
No description available

## GstH264RefPicListModification

### Members

`modification_of_pic_nums_idc` (guint8) –
No description available
`value.abs_diff_pic_num_minus1` (guint32) –
No description available
`value.long_term_pic_num` (guint32) –
No description available
`value.abs_diff_view_idx_minus1` (guint32) –
No description available

## GstCodecParsers.H264RefPicListModification

### Members

`modification_of_pic_nums_idc` (Number) –
No description available

## GstCodecParsers.H264RefPicListModification

### Members

`modification_of_pic_nums_idc` (int) –
No description available

## GstH264RefPicMarking

### Members

`memory_management_control_operation` (guint8) –
No description available
`difference_of_pic_nums_minus1` (guint32) –
No description available
`long_term_pic_num` (guint32) –
No description available
`long_term_frame_idx` (guint32) –
No description available
`max_long_term_frame_idx_plus1` (guint32) –
No description available

## GstCodecParsers.H264RefPicMarking

### Members

`memory_management_control_operation` (Number) –
No description available
`difference_of_pic_nums_minus1` (Number) –
No description available
`long_term_pic_num` (Number) –
No description available
`long_term_frame_idx` (Number) –
No description available
`max_long_term_frame_idx_plus1` (Number) –
No description available

## GstCodecParsers.H264RefPicMarking

### Members

`memory_management_control_operation` (int) –
No description available
`difference_of_pic_nums_minus1` (int) –
No description available
`long_term_pic_num` (int) –
No description available
`long_term_frame_idx` (int) –
No description available
`max_long_term_frame_idx_plus1` (int) –
No description available

## GstH264RegisteredUserData

The User data registered by Rec. ITU-T T.35 SEI messag. country_code: an itu_t_t35_country_code. country_code_extension: an itu_t_t35_country_code_extension_byte. Should be ignored when country_code is not 0xff data: the data of itu_t_t35_payload_byte excluding country_code and country_code_extension size: the size of data in bytes

### Members

`country_code` (guint8) –
No description available
`country_code_extension` (guint8) –
No description available
`data` (const guint8 *) –
No description available
`size` (guint) –
No description available

## GstCodecParsers.H264RegisteredUserData

The User data registered by Rec. ITU-T T.35 SEI messag. country_code: an itu_t_t35_country_code. country_code_extension: an itu_t_t35_country_code_extension_byte. Should be ignored when country_code is not 0xff data: the data of itu_t_t35_payload_byte excluding country_code and country_code_extension size: the size of data in bytes

### Members

`country_code` (Number) –
No description available
`country_code_extension` (Number) –
No description available
`data` (Number) –
No description available
`size` (Number) –
No description available

## GstCodecParsers.H264RegisteredUserData

The User data registered by Rec. ITU-T T.35 SEI messag. country_code: an itu_t_t35_country_code. country_code_extension: an itu_t_t35_country_code_extension_byte. Should be ignored when country_code is not 0xff data: the data of itu_t_t35_payload_byte excluding country_code and country_code_extension size: the size of data in bytes

### Members

`country_code` (int) –
No description available
`country_code_extension` (int) –
No description available
`data` (int) –
No description available
`size` (int) –
No description available

## GstH264SEIMessage

Constains information about SEI message. The content depends on the payloadType.

### Members

`payloadType` (GstH264SEIPayloadType) –

GstH264SEIPayloadType

`payload.buffering_period` (GstH264BufferingPeriod) –
No description available
`payload.pic_timing` (GstH264PicTiming) –
No description available
`payload.registered_user_data` (GstH264RegisteredUserData) –
No description available
`payload.recovery_point` (GstH264RecoveryPoint) –
No description available
`payload.stereo_video_info` (GstH264StereoVideoInfo) –
No description available
`payload.frame_packing` (GstH264FramePacking) –
No description available
`payload.mastering_display_colour_volume` (GstH264MasteringDisplayColourVolume) –
No description available
`payload.content_light_level` (GstH264ContentLightLevel) –
No description available
`payload.unhandled_payload` (GstH264SEIUnhandledPayload) –
No description available
`payload.user_data_unregistered` (GstH264UserDataUnregistered) –
No description available

## GstCodecParsers.H264SEIMessage

Constains information about SEI message. The content depends on the payloadType.

### Members

`payloadType` (GstCodecParsers.H264SEIPayloadType) –

GstCodecParsers.H264SEIPayloadType

## GstCodecParsers.H264SEIMessage

Constains information about SEI message. The content depends on the payloadType.

### Members

`payloadType` (GstCodecParsers.H264SEIPayloadType) –

GstCodecParsers.H264SEIPayloadType

## GstH264SEIUnhandledPayload

Contains unhandled SEI payload data. This SEI may or may not be defined by spec

### Members

`payloadType` (guint) –

Payload type

`data` (guint8 *) –

payload raw data excluding payload type and payload size byte

`size` (guint) –

the size of data

Since : 1.18

## GstCodecParsers.H264SEIUnhandledPayload

Contains unhandled SEI payload data. This SEI may or may not be defined by spec

### Members

`payloadType` (Number) –

Payload type

`data` (Number) –

payload raw data excluding payload type and payload size byte

`size` (Number) –

the size of data

Since : 1.18

## GstCodecParsers.H264SEIUnhandledPayload

Contains unhandled SEI payload data. This SEI may or may not be defined by spec

### Members

`payloadType` (int) –

Payload type

`data` (int) –

payload raw data excluding payload type and payload size byte

`size` (int) –

the size of data

Since : 1.18

## GstH264SPS

H264 Sequence Parameter Set (SPS)

### Members

`id` (gint) –

The ID of the sequence parameter set

`profile_idc` (guint8) –

indicate the profile to which the coded video sequence conforms

`constraint_set0_flag` (guint8) –
No description available
`constraint_set1_flag` (guint8) –
No description available
`constraint_set2_flag` (guint8) –
No description available
`constraint_set3_flag` (guint8) –
No description available
`constraint_set4_flag` (guint8) –
No description available
`constraint_set5_flag` (guint8) –
No description available
`level_idc` (guint8) –
No description available
`chroma_format_idc` (guint8) –
No description available
`separate_colour_plane_flag` (guint8) –
No description available
`bit_depth_luma_minus8` (guint8) –
No description available
`bit_depth_chroma_minus8` (guint8) –
No description available
`qpprime_y_zero_transform_bypass_flag` (guint8) –
No description available
`scaling_matrix_present_flag` (guint8) –
No description available
`scaling_lists_4x4` (guint8 *) –
No description available
`scaling_lists_8x8` (guint8 *) –
No description available
`log2_max_frame_num_minus4` (guint8) –
No description available
`pic_order_cnt_type` (guint8) –
No description available
`log2_max_pic_order_cnt_lsb_minus4` (guint8) –
No description available
`delta_pic_order_always_zero_flag` (guint8) –
No description available
`offset_for_non_ref_pic` (gint32) –
No description available
`offset_for_top_to_bottom_field` (gint32) –
No description available
`num_ref_frames_in_pic_order_cnt_cycle` (guint8) –
No description available
`offset_for_ref_frame` (gint32 *) –
No description available
`num_ref_frames` (guint32) –
No description available
`gaps_in_frame_num_value_allowed_flag` (guint8) –
No description available
`pic_width_in_mbs_minus1` (guint32) –
No description available
`pic_height_in_map_units_minus1` (guint32) –
No description available
`frame_mbs_only_flag` (guint8) –
No description available
`mb_adaptive_frame_field_flag` (guint8) –
No description available
`direct_8x8_inference_flag` (guint8) –
No description available
`frame_cropping_flag` (guint8) –
No description available
`frame_crop_left_offset` (guint32) –
No description available
`frame_crop_right_offset` (guint32) –
No description available
`frame_crop_top_offset` (guint32) –
No description available
`frame_crop_bottom_offset` (guint32) –
No description available
`vui_parameters_present_flag` (guint8) –
No description available
`vui_parameters` (GstH264VUIParams) –
No description available
`chroma_array_type` (guint8) –
No description available
`max_frame_num` (guint32) –
No description available
`width` (gint) –
No description available
`height` (gint) –
No description available
`crop_rect_width` (gint) –
No description available
`crop_rect_height` (gint) –
No description available
`crop_rect_x` (gint) –
No description available
`crop_rect_y` (gint) –
No description available
`fps_num_removed` (gint) –
No description available
`fps_den_removed` (gint) –
No description available
`valid` (gboolean) –
No description available
`extension_type` (guint8) –
No description available
`extension.mvc` (GstH264SPSExtMVC) –
No description available

## GstCodecParsers.H264SPS

H264 Sequence Parameter Set (SPS)

### Members

`id` (Number) –

The ID of the sequence parameter set

`profile_idc` (Number) –

indicate the profile to which the coded video sequence conforms

`constraint_set0_flag` (Number) –
No description available
`constraint_set1_flag` (Number) –
No description available
`constraint_set2_flag` (Number) –
No description available
`constraint_set3_flag` (Number) –
No description available
`constraint_set4_flag` (Number) –
No description available
`constraint_set5_flag` (Number) –
No description available
`level_idc` (Number) –
No description available
`chroma_format_idc` (Number) –
No description available
`separate_colour_plane_flag` (Number) –
No description available
`bit_depth_luma_minus8` (Number) –
No description available
`bit_depth_chroma_minus8` (Number) –
No description available
`qpprime_y_zero_transform_bypass_flag` (Number) –
No description available
`scaling_matrix_present_flag` (Number) –
No description available
`scaling_lists_4x4` ([ Number ]) –
No description available
`scaling_lists_8x8` ([ Number ]) –
No description available
`log2_max_frame_num_minus4` (Number) –
No description available
`pic_order_cnt_type` (Number) –
No description available
`log2_max_pic_order_cnt_lsb_minus4` (Number) –
No description available
`delta_pic_order_always_zero_flag` (Number) –
No description available
`offset_for_non_ref_pic` (Number) –
No description available
`offset_for_top_to_bottom_field` (Number) –
No description available
`num_ref_frames_in_pic_order_cnt_cycle` (Number) –
No description available
`offset_for_ref_frame` ([ Number ]) –
No description available
`num_ref_frames` (Number) –
No description available
`gaps_in_frame_num_value_allowed_flag` (Number) –
No description available
`pic_width_in_mbs_minus1` (Number) –
No description available
`pic_height_in_map_units_minus1` (Number) –
No description available
`frame_mbs_only_flag` (Number) –
No description available
`mb_adaptive_frame_field_flag` (Number) –
No description available
`direct_8x8_inference_flag` (Number) –
No description available
`frame_cropping_flag` (Number) –
No description available
`frame_crop_left_offset` (Number) –
No description available
`frame_crop_right_offset` (Number) –
No description available
`frame_crop_top_offset` (Number) –
No description available
`frame_crop_bottom_offset` (Number) –
No description available
`vui_parameters_present_flag` (Number) –
No description available
`vui_parameters` (GstCodecParsers.H264VUIParams) –
No description available
`chroma_array_type` (Number) –
No description available
`max_frame_num` (Number) –
No description available
`width` (Number) –
No description available
`height` (Number) –
No description available
`crop_rect_width` (Number) –
No description available
`crop_rect_height` (Number) –
No description available
`crop_rect_x` (Number) –
No description available
`crop_rect_y` (Number) –
No description available
`fps_num_removed` (Number) –
No description available
`fps_den_removed` (Number) –
No description available
`valid` (Number) –
No description available
`extension_type` (Number) –
No description available

## GstCodecParsers.H264SPS

H264 Sequence Parameter Set (SPS)

### Members

`id` (int) –

The ID of the sequence parameter set

`profile_idc` (int) –

indicate the profile to which the coded video sequence conforms

`constraint_set0_flag` (int) –
No description available
`constraint_set1_flag` (int) –
No description available
`constraint_set2_flag` (int) –
No description available
`constraint_set3_flag` (int) –
No description available
`constraint_set4_flag` (int) –
No description available
`constraint_set5_flag` (int) –
No description available
`level_idc` (int) –
No description available
`chroma_format_idc` (int) –
No description available
`separate_colour_plane_flag` (int) –
No description available
`bit_depth_luma_minus8` (int) –
No description available
`bit_depth_chroma_minus8` (int) –
No description available
`qpprime_y_zero_transform_bypass_flag` (int) –
No description available
`scaling_matrix_present_flag` (int) –
No description available
`scaling_lists_4x4` ([ int ]) –
No description available
`scaling_lists_8x8` ([ int ]) –
No description available
`log2_max_frame_num_minus4` (int) –
No description available
`pic_order_cnt_type` (int) –
No description available
`log2_max_pic_order_cnt_lsb_minus4` (int) –
No description available
`delta_pic_order_always_zero_flag` (int) –
No description available
`offset_for_non_ref_pic` (int) –
No description available
`offset_for_top_to_bottom_field` (int) –
No description available
`num_ref_frames_in_pic_order_cnt_cycle` (int) –
No description available
`offset_for_ref_frame` ([ int ]) –
No description available
`num_ref_frames` (int) –
No description available
`gaps_in_frame_num_value_allowed_flag` (int) –
No description available
`pic_width_in_mbs_minus1` (int) –
No description available
`pic_height_in_map_units_minus1` (int) –
No description available
`frame_mbs_only_flag` (int) –
No description available
`mb_adaptive_frame_field_flag` (int) –
No description available
`direct_8x8_inference_flag` (int) –
No description available
`frame_cropping_flag` (int) –
No description available
`frame_crop_left_offset` (int) –
No description available
`frame_crop_right_offset` (int) –
No description available
`frame_crop_top_offset` (int) –
No description available
`frame_crop_bottom_offset` (int) –
No description available
`vui_parameters_present_flag` (int) –
No description available
`vui_parameters` (GstCodecParsers.H264VUIParams) –
No description available
`chroma_array_type` (int) –
No description available
`max_frame_num` (int) –
No description available
`width` (int) –
No description available
`height` (int) –
No description available
`crop_rect_width` (int) –
No description available
`crop_rect_height` (int) –
No description available
`crop_rect_x` (int) –
No description available
`crop_rect_y` (int) –
No description available
`fps_num_removed` (int) –
No description available
`fps_den_removed` (int) –
No description available
`valid` (bool) –
No description available
`extension_type` (int) –
No description available

### Methods

#### gst_h264_sps_clear

    gst_h264_sps_clear (GstH264SPS * sps)

Clears all sps internal resources.

Parameters:

`sps` –

The GstH264SPS to free

Since : 1.6

#### GstCodecParsers.H264SPS.prototype.clear

    function GstCodecParsers.H264SPS.prototype.clear(): {
        // javascript wrapper for 'gst_h264_sps_clear'
    }

Clears all sps internal resources.

Parameters:

`sps` (GstCodecParsers.H264SPS) –

The GstCodecParsers.H264SPS to free

Since : 1.6

#### GstCodecParsers.H264SPS.clear

    def GstCodecParsers.H264SPS.clear (self):
        #python wrapper for 'gst_h264_sps_clear'

Clears all sps internal resources.

Parameters:

`sps` (GstCodecParsers.H264SPS) –

The GstCodecParsers.H264SPS to free

Since : 1.6

## GstH264SPSExtMVC

Represents the parsed `seq_parameter_set_mvc_extension()`.

### Members

`num_views_minus1` (guint16) –

plus 1 specifies the maximum number of coded views in the coded video sequence

`view` (GstH264SPSExtMVCView *) –

array of GstH264SPSExtMVCView

`num_level_values_signalled_minus1` (guint8) –

plus 1 specifies the number of level values signalled for the coded video sequence.

`level_value` (GstH264SPSExtMVCLevelValue *) –

array of GstH264SPSExtMVCLevelValue

Since : 1.6

## GstCodecParsers.H264SPSExtMVC

Represents the parsed `seq_parameter_set_mvc_extension()`.

### Members

`num_views_minus1` (Number) –

plus 1 specifies the maximum number of coded views in the coded video sequence

`view` (GstCodecParsers.H264SPSExtMVCView) –

array of GstCodecParsers.H264SPSExtMVCView

`num_level_values_signalled_minus1` (Number) –

plus 1 specifies the number of level values signalled for the coded video sequence.

`level_value` (GstCodecParsers.H264SPSExtMVCLevelValue) –

array of GstCodecParsers.H264SPSExtMVCLevelValue

Since : 1.6

## GstCodecParsers.H264SPSExtMVC

Represents the parsed `seq_parameter_set_mvc_extension()`.

### Members

`num_views_minus1` (int) –

plus 1 specifies the maximum number of coded views in the coded video sequence

`view` (GstCodecParsers.H264SPSExtMVCView) –

array of GstCodecParsers.H264SPSExtMVCView

`num_level_values_signalled_minus1` (int) –

plus 1 specifies the number of level values signalled for the coded video sequence.

`level_value` (GstCodecParsers.H264SPSExtMVCLevelValue) –

array of GstCodecParsers.H264SPSExtMVCLevelValue

Since : 1.6

## GstH264SPSExtMVCLevelValue

Represents level values for a subset of the operation points for the coded video sequence.

### Members

`level_idc` (guint8) –

specifies the level value signalled for the coded video sequence

`num_applicable_ops_minus1` (guint16) –

plus 1 specifies the number of operation points to which the level indicated by level_idc applies

`applicable_op` (GstH264SPSExtMVCLevelValueOp *) –

specifies the applicable operation point

Since : 1.6

## GstCodecParsers.H264SPSExtMVCLevelValue

Represents level values for a subset of the operation points for the coded video sequence.

### Members

`level_idc` (Number) –

specifies the level value signalled for the coded video sequence

`num_applicable_ops_minus1` (Number) –

plus 1 specifies the number of operation points to which the level indicated by level_idc applies

`applicable_op` (GstCodecParsers.H264SPSExtMVCLevelValueOp) –

specifies the applicable operation point

Since : 1.6

## GstCodecParsers.H264SPSExtMVCLevelValue

Represents level values for a subset of the operation points for the coded video sequence.

### Members

`level_idc` (int) –

specifies the level value signalled for the coded video sequence

`num_applicable_ops_minus1` (int) –

plus 1 specifies the number of operation points to which the level indicated by level_idc applies

`applicable_op` (GstCodecParsers.H264SPSExtMVCLevelValueOp) –

specifies the applicable operation point

Since : 1.6

## GstH264SPSExtMVCLevelValueOp

Represents an operation point for the coded video sequence.

### Members

`temporal_id` (guint8) –
No description available
`num_target_views_minus1` (guint16) –
No description available
`target_view_id` (guint16 *) –
No description available
`num_views_minus1` (guint16) –
No description available

Since : 1.6

## GstCodecParsers.H264SPSExtMVCLevelValueOp

Represents an operation point for the coded video sequence.

### Members

`temporal_id` (Number) –
No description available
`num_target_views_minus1` (Number) –
No description available
`target_view_id` (Number) –
No description available
`num_views_minus1` (Number) –
No description available

Since : 1.6

## GstCodecParsers.H264SPSExtMVCLevelValueOp

Represents an operation point for the coded video sequence.

### Members

`temporal_id` (int) –
No description available
`num_target_views_minus1` (int) –
No description available
`target_view_id` (int) –
No description available
`num_views_minus1` (int) –
No description available

Since : 1.6

## GstH264SPSExtMVCView

Represents inter-view dependency relationships for the coded video sequence.

### Members

`view_id` (guint16) –
No description available
`num_anchor_refs_l0` (guint8) –

specifies the number of view components for inter-view prediction in the initialized RefPicList0 in decoding anchor view components.

`anchor_ref_l0` (guint16 *) –

specifies the view_id for inter-view prediction in the initialized RefPicList0 in decoding anchor view components.

`num_anchor_refs_l1` (guint8) –

specifies the number of view components for inter-view prediction in the initialized RefPicList1 in decoding anchor view components.

`anchor_ref_l1` (guint16 *) –

specifies the view_id for inter-view prediction in the initialized RefPicList1 in decoding anchor view components.

`num_non_anchor_refs_l0` (guint8) –

specifies the number of view components for inter-view prediction in the initialized RefPicList0 in decoding non-anchor view components.

`non_anchor_ref_l0` (guint16 *) –

specifies the view_id for inter-view prediction in the initialized RefPicList0 in decoding non-anchor view components.

`num_non_anchor_refs_l1` (guint8) –

specifies the number of view components for inter-view prediction in the initialized RefPicList1 in decoding non-anchor view components.

`non_anchor_ref_l1` (guint16 *) –

specifies the view_id for inter-view prediction in the initialized RefPicList1 in decoding non-anchor view components.

Since : 1.6

## GstCodecParsers.H264SPSExtMVCView

Represents inter-view dependency relationships for the coded video sequence.

### Members

`view_id` (Number) –
No description available
`num_anchor_refs_l0` (Number) –

specifies the number of view components for inter-view prediction in the initialized RefPicList0 in decoding anchor view components.

`anchor_ref_l0` ([ Number ]) –

specifies the view_id for inter-view prediction in the initialized RefPicList0 in decoding anchor view components.

`num_anchor_refs_l1` (Number) –

specifies the number of view components for inter-view prediction in the initialized RefPicList1 in decoding anchor view components.

`anchor_ref_l1` ([ Number ]) –

specifies the view_id for inter-view prediction in the initialized RefPicList1 in decoding anchor view components.

`num_non_anchor_refs_l0` (Number) –

specifies the number of view components for inter-view prediction in the initialized RefPicList0 in decoding non-anchor view components.

`non_anchor_ref_l0` ([ Number ]) –

specifies the view_id for inter-view prediction in the initialized RefPicList0 in decoding non-anchor view components.

`num_non_anchor_refs_l1` (Number) –

specifies the number of view components for inter-view prediction in the initialized RefPicList1 in decoding non-anchor view components.

`non_anchor_ref_l1` ([ Number ]) –

specifies the view_id for inter-view prediction in the initialized RefPicList1 in decoding non-anchor view components.

Since : 1.6

## GstCodecParsers.H264SPSExtMVCView

Represents inter-view dependency relationships for the coded video sequence.

### Members

`view_id` (int) –
No description available
`num_anchor_refs_l0` (int) –

specifies the number of view components for inter-view prediction in the initialized RefPicList0 in decoding anchor view components.

`anchor_ref_l0` ([ int ]) –

specifies the view_id for inter-view prediction in the initialized RefPicList0 in decoding anchor view components.

`num_anchor_refs_l1` (int) –

specifies the number of view components for inter-view prediction in the initialized RefPicList1 in decoding anchor view components.

`anchor_ref_l1` ([ int ]) –

specifies the view_id for inter-view prediction in the initialized RefPicList1 in decoding anchor view components.

`num_non_anchor_refs_l0` (int) –

specifies the number of view components for inter-view prediction in the initialized RefPicList0 in decoding non-anchor view components.

`non_anchor_ref_l0` ([ int ]) –

specifies the view_id for inter-view prediction in the initialized RefPicList0 in decoding non-anchor view components.

`num_non_anchor_refs_l1` (int) –

specifies the number of view components for inter-view prediction in the initialized RefPicList1 in decoding non-anchor view components.

`non_anchor_ref_l1` ([ int ]) –

specifies the view_id for inter-view prediction in the initialized RefPicList1 in decoding non-anchor view components.

Since : 1.6

## GstH264SliceHdr

### Members

`first_mb_in_slice` (guint32) –
No description available
`type` (guint32) –
No description available
`pps` (GstH264PPS *) –
No description available
`colour_plane_id` (guint8) –
No description available
`frame_num` (guint16) –
No description available
`field_pic_flag` (guint8) –
No description available
`bottom_field_flag` (guint8) –
No description available
`idr_pic_id` (guint16) –
No description available
`pic_order_cnt_lsb` (guint16) –
No description available
`delta_pic_order_cnt_bottom` (gint32) –
No description available
`delta_pic_order_cnt` (gint32 *) –
No description available
`redundant_pic_cnt` (guint8) –
No description available
`direct_spatial_mv_pred_flag` (guint8) –
No description available
`num_ref_idx_l0_active_minus1` (guint8) –
No description available
`num_ref_idx_l1_active_minus1` (guint8) –
No description available
`ref_pic_list_modification_flag_l0` (guint8) –
No description available
`n_ref_pic_list_modification_l0` (guint8) –
No description available
`ref_pic_list_modification_l0` (GstH264RefPicListModification *) –
No description available
`ref_pic_list_modification_flag_l1` (guint8) –
No description available
`n_ref_pic_list_modification_l1` (guint8) –
No description available
`ref_pic_list_modification_l1` (GstH264RefPicListModification *) –
No description available
`pred_weight_table` (GstH264PredWeightTable) –
No description available
`dec_ref_pic_marking` (GstH264DecRefPicMarking) –
No description available
`cabac_init_idc` (guint8) –
No description available
`slice_qp_delta` (gint8) –
No description available
`slice_qs_delta` (gint8) –
No description available
`disable_deblocking_filter_idc` (guint8) –
No description available
`slice_alpha_c0_offset_div2` (gint8) –
No description available
`slice_beta_offset_div2` (gint8) –
No description available
`slice_group_change_cycle` (guint16) –
No description available
`max_pic_num` (guint32) –
No description available
`valid` (gboolean) –
No description available
`header_size` (guint) –
No description available
`n_emulation_prevention_bytes` (guint) –
No description available
`num_ref_idx_active_override_flag` (guint8) –
No description available
`sp_for_switch_flag` (guint8) –
No description available
`pic_order_cnt_bit_size` (guint) –
No description available
`pps_id` (guint) –
No description available

## GstCodecParsers.H264SliceHdr

### Members

`first_mb_in_slice` (Number) –
No description available
`type` (Number) –
No description available
`pps` (GstCodecParsers.H264PPS) –
No description available
`colour_plane_id` (Number) –
No description available
`frame_num` (Number) –
No description available
`field_pic_flag` (Number) –
No description available
`bottom_field_flag` (Number) –
No description available
`idr_pic_id` (Number) –
No description available
`pic_order_cnt_lsb` (Number) –
No description available
`delta_pic_order_cnt_bottom` (Number) –
No description available
`delta_pic_order_cnt` ([ Number ]) –
No description available
`redundant_pic_cnt` (Number) –
No description available
`direct_spatial_mv_pred_flag` (Number) –
No description available
`num_ref_idx_l0_active_minus1` (Number) –
No description available
`num_ref_idx_l1_active_minus1` (Number) –
No description available
`ref_pic_list_modification_flag_l0` (Number) –
No description available
`n_ref_pic_list_modification_l0` (Number) –
No description available
`ref_pic_list_modification_l0` ([ GstCodecParsers.H264RefPicListModification ]) –
No description available
`ref_pic_list_modification_flag_l1` (Number) –
No description available
`n_ref_pic_list_modification_l1` (Number) –
No description available
`ref_pic_list_modification_l1` ([ GstCodecParsers.H264RefPicListModification ]) –
No description available
`pred_weight_table` (GstCodecParsers.H264PredWeightTable) –
No description available
`dec_ref_pic_marking` (GstCodecParsers.H264DecRefPicMarking) –
No description available
`cabac_init_idc` (Number) –
No description available
`slice_qp_delta` (Number) –
No description available
`slice_qs_delta` (Number) –
No description available
`disable_deblocking_filter_idc` (Number) –
No description available
`slice_alpha_c0_offset_div2` (Number) –
No description available
`slice_beta_offset_div2` (Number) –
No description available
`slice_group_change_cycle` (Number) –
No description available
`max_pic_num` (Number) –
No description available
`valid` (Number) –
No description available
`header_size` (Number) –
No description available
`n_emulation_prevention_bytes` (Number) –
No description available
`num_ref_idx_active_override_flag` (Number) –
No description available
`sp_for_switch_flag` (Number) –
No description available
`pic_order_cnt_bit_size` (Number) –
No description available
`pps_id` (Number) –
No description available

## GstCodecParsers.H264SliceHdr

### Members

`first_mb_in_slice` (int) –
No description available
`type` (int) –
No description available
`pps` (GstCodecParsers.H264PPS) –
No description available
`colour_plane_id` (int) –
No description available
`frame_num` (int) –
No description available
`field_pic_flag` (int) –
No description available
`bottom_field_flag` (int) –
No description available
`idr_pic_id` (int) –
No description available
`pic_order_cnt_lsb` (int) –
No description available
`delta_pic_order_cnt_bottom` (int) –
No description available
`delta_pic_order_cnt` ([ int ]) –
No description available
`redundant_pic_cnt` (int) –
No description available
`direct_spatial_mv_pred_flag` (int) –
No description available
`num_ref_idx_l0_active_minus1` (int) –
No description available
`num_ref_idx_l1_active_minus1` (int) –
No description available
`ref_pic_list_modification_flag_l0` (int) –
No description available
`n_ref_pic_list_modification_l0` (int) –
No description available
`ref_pic_list_modification_l0` ([ GstCodecParsers.H264RefPicListModification ]) –
No description available
`ref_pic_list_modification_flag_l1` (int) –
No description available
`n_ref_pic_list_modification_l1` (int) –
No description available
`ref_pic_list_modification_l1` ([ GstCodecParsers.H264RefPicListModification ]) –
No description available
`pred_weight_table` (GstCodecParsers.H264PredWeightTable) –
No description available
`dec_ref_pic_marking` (GstCodecParsers.H264DecRefPicMarking) –
No description available
`cabac_init_idc` (int) –
No description available
`slice_qp_delta` (int) –
No description available
`slice_qs_delta` (int) –
No description available
`disable_deblocking_filter_idc` (int) –
No description available
`slice_alpha_c0_offset_div2` (int) –
No description available
`slice_beta_offset_div2` (int) –
No description available
`slice_group_change_cycle` (int) –
No description available
`max_pic_num` (int) –
No description available
`valid` (bool) –
No description available
`header_size` (int) –
No description available
`n_emulation_prevention_bytes` (int) –
No description available
`num_ref_idx_active_override_flag` (int) –
No description available
`sp_for_switch_flag` (int) –
No description available
`pic_order_cnt_bit_size` (int) –
No description available
`pps_id` (int) –
No description available

## GstH264StereoVideoInfo

### Members

`field_views_flag` (guint8) –
No description available
`top_field_is_left_view_flag` (guint8) –
No description available
`current_frame_is_left_view_flag` (guint8) –
No description available
`next_frame_is_second_view_flag` (guint8) –
No description available
`left_view_self_contained_flag` (guint8) –
No description available
`right_view_self_contained_flag` (guint8) –
No description available

Since : 1.6

## GstCodecParsers.H264StereoVideoInfo

### Members

`field_views_flag` (Number) –
No description available
`top_field_is_left_view_flag` (Number) –
No description available
`current_frame_is_left_view_flag` (Number) –
No description available
`next_frame_is_second_view_flag` (Number) –
No description available
`left_view_self_contained_flag` (Number) –
No description available
`right_view_self_contained_flag` (Number) –
No description available

Since : 1.6

## GstCodecParsers.H264StereoVideoInfo

### Members

`field_views_flag` (int) –
No description available
`top_field_is_left_view_flag` (int) –
No description available
`current_frame_is_left_view_flag` (int) –
No description available
`next_frame_is_second_view_flag` (int) –
No description available
`left_view_self_contained_flag` (int) –
No description available
`right_view_self_contained_flag` (int) –
No description available

Since : 1.6

## GstH264UserDataUnregistered

The User data unregistered SEI message syntax.

### Members

`uuid` (guint8 *) –

an uuid_iso_iec_11578.

`data` (const guint8 *) –

the data of user_data_payload_byte

`size` (guint) –

the size of data in bytes

Since : 1.22

## GstCodecParsers.H264UserDataUnregistered

The User data unregistered SEI message syntax.

### Members

`uuid` ([ Number ]) –

an uuid_iso_iec_11578.

`data` (Number) –

the data of user_data_payload_byte

`size` (Number) –

the size of data in bytes

Since : 1.22

## GstCodecParsers.H264UserDataUnregistered

The User data unregistered SEI message syntax.

### Members

`uuid` ([ int ]) –

an uuid_iso_iec_11578.

`data` (int) –

the data of user_data_payload_byte

`size` (int) –

the size of data in bytes

Since : 1.22

## GstH264VUIParams

The structure representing the VUI parameters.

### Members

`aspect_ratio_info_present_flag` (guint8) –

TRUE specifies that aspect_ratio_idc is present. FALSE specifies that aspect_ratio_idc is not present aspect_ratio_idc specifies the value of the sample aspect ratio of the luma samples sar_width indicates the horizontal size of the sample aspect ratio sar_height indicates the vertical size of the sample aspect ratio

`aspect_ratio_idc` (guint8) –
No description available
`sar_width` (guint16) –
No description available
`sar_height` (guint16) –
No description available
`overscan_info_present_flag` (guint8) –

TRUE overscan_appropriate_flag is present FALSE otherwise

`overscan_appropriate_flag` (guint8) –

TRUE indicates that the cropped decoded pictures output are suitable for display using overscan. FALSE the cropped decoded pictures output contain visually important information

`video_signal_type_present_flag` (guint8) –

TRUE specifies that video_format, video_full_range_flag and colour_description_present_flag are present.

`video_format` (guint8) –

indicates the representation of the picture

`video_full_range_flag` (guint8) –

indicates the black level and range of the luma and chroma signals

`colour_description_present_flag` (guint8) –

TRUE specifies that colour_primaries, transfer_characteristics and matrix_coefficients are present

`colour_primaries` (guint8) –

indicates the chromaticity coordinates of the source primaries

`transfer_characteristics` (guint8) –

indicates the opto-electronic transfer characteristic

`matrix_coefficients` (guint8) –

describes the matrix coefficients used in deriving luma and chroma signals

`chroma_loc_info_present_flag` (guint8) –

TRUE specifies that chroma_sample_loc_type_top_field and chroma_sample_loc_type_bottom_field are present, FALSE otherwise

`chroma_sample_loc_type_top_field` (guint8) –

specify the location of chroma for top field chroma_sample_loc_type_bottom_field specify the location of chroma for bottom field

`chroma_sample_loc_type_bottom_field` (guint8) –
No description available
`timing_info_present_flag` (guint8) –

TRUE specifies that num_units_in_tick, time_scale and fixed_frame_rate_flag are present in the bitstream

`num_units_in_tick` (guint32) –

is the number of time units of a clock operating at the frequency time_scale Hz time_scale: is the number of time units that pass in one second

`time_scale` (guint32) –
No description available
`fixed_frame_rate_flag` (guint8) –

TRUE indicates that the temporal distance between the HRD output times of any two consecutive pictures in output order is constrained as specified in the spec, FALSE otherwise.

`nal_hrd_parameters_present_flag` (guint8) –

TRUE if NAL HRD parameters exist in the bitstream

`nal_hrd_parameters` (GstH264HRDParams) –
No description available
`vcl_hrd_parameters_present_flag` (guint8) –

TRUE if VCL HRD parameters exist in the bitstream

`vcl_hrd_parameters` (GstH264HRDParams) –
No description available
`low_delay_hrd_flag` (guint8) –

specifies the HRD operational mode

`pic_struct_present_flag` (guint8) –

TRUE specifies that picture timing SEI messages are present or not

`bitstream_restriction_flag` (guint8) –

TRUE specifies that the following coded video sequence bitstream restriction parameters are present

`motion_vectors_over_pic_boundaries_flag` (guint8) –

FALSE indicates that no sample outside the picture boundaries and no sample at a fractional sample position, TRUE indicates that one or more samples outside picture boundaries may be used in inter prediction

`max_bytes_per_pic_denom` (guint32) –

indicates a number of bytes not exceeded by the sum of the sizes of the VCL NAL units associated with any coded picture in the coded video sequence.

`max_bits_per_mb_denom` (guint32) –

indicates the maximum number of coded bits of macroblock_layer

`log2_max_mv_length_horizontal` (guint32) –

indicate the maximum absolute value of a decoded horizontal motion vector component

`log2_max_mv_length_vertical` (guint32) –

indicate the maximum absolute value of a decoded vertical motion vector component

`num_reorder_frames` (guint32) –

indicates the maximum number of frames, complementary field pairs, or non-paired fields that precede any frame,

`max_dec_frame_buffering` (guint32) –

specifies the required size of the HRD decoded picture buffer in units of frame buffers.

`par_n` (guint) –
No description available
`par_d` (guint) –
No description available

## GstCodecParsers.H264VUIParams

The structure representing the VUI parameters.

### Members

`aspect_ratio_info_present_flag` (Number) –

true specifies that aspect_ratio_idc is present. false specifies that aspect_ratio_idc is not present aspect_ratio_idc specifies the value of the sample aspect ratio of the luma samples sar_width indicates the horizontal size of the sample aspect ratio sar_height indicates the vertical size of the sample aspect ratio

`aspect_ratio_idc` (Number) –
No description available
`sar_width` (Number) –
No description available
`sar_height` (Number) –
No description available
`overscan_info_present_flag` (Number) –

true overscan_appropriate_flag is present false otherwise

`overscan_appropriate_flag` (Number) –

true indicates that the cropped decoded pictures output are suitable for display using overscan. false the cropped decoded pictures output contain visually important information

`video_signal_type_present_flag` (Number) –

true specifies that video_format, video_full_range_flag and colour_description_present_flag are present.

`video_format` (Number) –

indicates the representation of the picture

`video_full_range_flag` (Number) –

indicates the black level and range of the luma and chroma signals

`colour_description_present_flag` (Number) –

true specifies that colour_primaries, transfer_characteristics and matrix_coefficients are present

`colour_primaries` (Number) –

indicates the chromaticity coordinates of the source primaries

`transfer_characteristics` (Number) –

indicates the opto-electronic transfer characteristic

`matrix_coefficients` (Number) –

describes the matrix coefficients used in deriving luma and chroma signals

`chroma_loc_info_present_flag` (Number) –

true specifies that chroma_sample_loc_type_top_field and chroma_sample_loc_type_bottom_field are present, false otherwise

`chroma_sample_loc_type_top_field` (Number) –

specify the location of chroma for top field chroma_sample_loc_type_bottom_field specify the location of chroma for bottom field

`chroma_sample_loc_type_bottom_field` (Number) –
No description available
`timing_info_present_flag` (Number) –

true specifies that num_units_in_tick, time_scale and fixed_frame_rate_flag are present in the bitstream

`num_units_in_tick` (Number) –

is the number of time units of a clock operating at the frequency time_scale Hz time_scale: is the number of time units that pass in one second

`time_scale` (Number) –
No description available
`fixed_frame_rate_flag` (Number) –

true indicates that the temporal distance between the HRD output times of any two consecutive pictures in output order is constrained as specified in the spec, false otherwise.

`nal_hrd_parameters_present_flag` (Number) –

true if NAL HRD parameters exist in the bitstream

`nal_hrd_parameters` (GstCodecParsers.H264HRDParams) –
No description available
`vcl_hrd_parameters_present_flag` (Number) –

true if VCL HRD parameters exist in the bitstream

`vcl_hrd_parameters` (GstCodecParsers.H264HRDParams) –
No description available
`low_delay_hrd_flag` (Number) –

specifies the HRD operational mode

`pic_struct_present_flag` (Number) –

true specifies that picture timing SEI messages are present or not

`bitstream_restriction_flag` (Number) –

true specifies that the following coded video sequence bitstream restriction parameters are present

`motion_vectors_over_pic_boundaries_flag` (Number) –

false indicates that no sample outside the picture boundaries and no sample at a fractional sample position, true indicates that one or more samples outside picture boundaries may be used in inter prediction

`max_bytes_per_pic_denom` (Number) –

indicates a number of bytes not exceeded by the sum of the sizes of the VCL NAL units associated with any coded picture in the coded video sequence.

`max_bits_per_mb_denom` (Number) –

indicates the maximum number of coded bits of macroblock_layer

`log2_max_mv_length_horizontal` (Number) –

indicate the maximum absolute value of a decoded horizontal motion vector component

`log2_max_mv_length_vertical` (Number) –

indicate the maximum absolute value of a decoded vertical motion vector component

`num_reorder_frames` (Number) –

indicates the maximum number of frames, complementary field pairs, or non-paired fields that precede any frame,

`max_dec_frame_buffering` (Number) –

specifies the required size of the HRD decoded picture buffer in units of frame buffers.

`par_n` (Number) –
No description available
`par_d` (Number) –
No description available

## GstCodecParsers.H264VUIParams

The structure representing the VUI parameters.

### Members

`aspect_ratio_info_present_flag` (int) –

True specifies that aspect_ratio_idc is present. False specifies that aspect_ratio_idc is not present aspect_ratio_idc specifies the value of the sample aspect ratio of the luma samples sar_width indicates the horizontal size of the sample aspect ratio sar_height indicates the vertical size of the sample aspect ratio

`aspect_ratio_idc` (int) –
No description available
`sar_width` (int) –
No description available
`sar_height` (int) –
No description available
`overscan_info_present_flag` (int) –

True overscan_appropriate_flag is present False otherwise

`overscan_appropriate_flag` (int) –

True indicates that the cropped decoded pictures output are suitable for display using overscan. False the cropped decoded pictures output contain visually important information

`video_signal_type_present_flag` (int) –

True specifies that video_format, video_full_range_flag and colour_description_present_flag are present.

`video_format` (int) –

indicates the representation of the picture

`video_full_range_flag` (int) –

indicates the black level and range of the luma and chroma signals

`colour_description_present_flag` (int) –

True specifies that colour_primaries, transfer_characteristics and matrix_coefficients are present

`colour_primaries` (int) –

indicates the chromaticity coordinates of the source primaries

`transfer_characteristics` (int) –

indicates the opto-electronic transfer characteristic

`matrix_coefficients` (int) –

describes the matrix coefficients used in deriving luma and chroma signals

`chroma_loc_info_present_flag` (int) –

True specifies that chroma_sample_loc_type_top_field and chroma_sample_loc_type_bottom_field are present, False otherwise

`chroma_sample_loc_type_top_field` (int) –

specify the location of chroma for top field chroma_sample_loc_type_bottom_field specify the location of chroma for bottom field

`chroma_sample_loc_type_bottom_field` (int) –
No description available
`timing_info_present_flag` (int) –

True specifies that num_units_in_tick, time_scale and fixed_frame_rate_flag are present in the bitstream

`num_units_in_tick` (int) –

is the number of time units of a clock operating at the frequency time_scale Hz time_scale: is the number of time units that pass in one second

`time_scale` (int) –
No description available
`fixed_frame_rate_flag` (int) –

True indicates that the temporal distance between the HRD output times of any two consecutive pictures in output order is constrained as specified in the spec, False otherwise.

`nal_hrd_parameters_present_flag` (int) –

True if NAL HRD parameters exist in the bitstream

`nal_hrd_parameters` (GstCodecParsers.H264HRDParams) –
No description available
`vcl_hrd_parameters_present_flag` (int) –

True if VCL HRD parameters exist in the bitstream

`vcl_hrd_parameters` (GstCodecParsers.H264HRDParams) –
No description available
`low_delay_hrd_flag` (int) –

specifies the HRD operational mode

`pic_struct_present_flag` (int) –

True specifies that picture timing SEI messages are present or not

`bitstream_restriction_flag` (int) –

True specifies that the following coded video sequence bitstream restriction parameters are present

`motion_vectors_over_pic_boundaries_flag` (int) –

False indicates that no sample outside the picture boundaries and no sample at a fractional sample position, True indicates that one or more samples outside picture boundaries may be used in inter prediction

`max_bytes_per_pic_denom` (int) –

indicates a number of bytes not exceeded by the sum of the sizes of the VCL NAL units associated with any coded picture in the coded video sequence.

`max_bits_per_mb_denom` (int) –

indicates the maximum number of coded bits of macroblock_layer

`log2_max_mv_length_horizontal` (int) –

indicate the maximum absolute value of a decoded horizontal motion vector component

`log2_max_mv_length_vertical` (int) –

indicate the maximum absolute value of a decoded vertical motion vector component

`num_reorder_frames` (int) –

indicates the maximum number of frames, complementary field pairs, or non-paired fields that precede any frame,

`max_dec_frame_buffering` (int) –

specifies the required size of the HRD decoded picture buffer in units of frame buffers.

`par_n` (int) –
No description available
`par_d` (int) –
No description available

## Functions

### gst_h264_create_sei_memory

    GstMemory *
    gst_h264_create_sei_memory (guint8 start_code_prefix_length,
                                GArray * messages)

Creates raw byte-stream format (a.k.a Annex B type) SEI nal unit data from messages

Parameters:

`start_code_prefix_length` –

a length of start code prefix, must be 3 or 4

`messages` ( [element-type GstH264SEIMessage][transfer: none]) –

a GArray of GstH264SEIMessage

Returns –

a GstMemory containing a SEI nal unit

Since : 1.18

### GstCodecParsers.prototype.h264_create_sei_memory

    function GstCodecParsers.prototype.h264_create_sei_memory(start_code_prefix_length: Number, messages: [ GstCodecParsers.H264SEIMessage ]): {
        // javascript wrapper for 'gst_h264_create_sei_memory'
    }

Creates raw byte-stream format (a.k.a Annex B type) SEI nal unit data from messages

Parameters:

`start_code_prefix_length` (Number) –

a length of start code prefix, must be 3 or 4

`messages` ([ GstCodecParsers.H264SEIMessage ]) –

a GArray of GstCodecParsers.H264SEIMessage

Returns (Gst.Memory) –

a Gst.Memory containing a SEI nal unit

Since : 1.18

### GstCodecParsers.h264_create_sei_memory

    def GstCodecParsers.h264_create_sei_memory (start_code_prefix_length, messages):
        #python wrapper for 'gst_h264_create_sei_memory'

Creates raw byte-stream format (a.k.a Annex B type) SEI nal unit data from messages

Parameters:

`start_code_prefix_length` (int) –

a length of start code prefix, must be 3 or 4

`messages` ([ GstCodecParsers.H264SEIMessage ]) –

a GArray of GstCodecParsers.H264SEIMessage

Returns (Gst.Memory) –

a Gst.Memory containing a SEI nal unit

Since : 1.18

### gst_h264_create_sei_memory_avc

    GstMemory *
    gst_h264_create_sei_memory_avc (guint8 nal_length_size,
                                    GArray * messages)

Creates raw packetized format SEI nal unit data from messages

Parameters:

`nal_length_size` –

a size of nal length field, allowed range is [1, 4]

`messages` ( [element-type GstH264SEIMessage][transfer: none]) –

a GArray of GstH264SEIMessage

Returns –

a GstMemory containing a SEI nal unit

Since : 1.18

### GstCodecParsers.prototype.h264_create_sei_memory_avc

    function GstCodecParsers.prototype.h264_create_sei_memory_avc(nal_length_size: Number, messages: [ GstCodecParsers.H264SEIMessage ]): {
        // javascript wrapper for 'gst_h264_create_sei_memory_avc'
    }

Creates raw packetized format SEI nal unit data from messages

Parameters:

`nal_length_size` (Number) –

a size of nal length field, allowed range is [1, 4]

`messages` ([ GstCodecParsers.H264SEIMessage ]) –

a GArray of GstCodecParsers.H264SEIMessage

Returns (Gst.Memory) –

a Gst.Memory containing a SEI nal unit

Since : 1.18

### GstCodecParsers.h264_create_sei_memory_avc

    def GstCodecParsers.h264_create_sei_memory_avc (nal_length_size, messages):
        #python wrapper for 'gst_h264_create_sei_memory_avc'

Creates raw packetized format SEI nal unit data from messages

Parameters:

`nal_length_size` (int) –

a size of nal length field, allowed range is [1, 4]

`messages` ([ GstCodecParsers.H264SEIMessage ]) –

a GArray of GstCodecParsers.H264SEIMessage

Returns (Gst.Memory) –

a Gst.Memory containing a SEI nal unit

Since : 1.18

### gst_h264_parse_pps

    GstH264ParserResult
    gst_h264_parse_pps (GstH264NalParser * nalparser,
                        GstH264NalUnit * nalu,
                        GstH264PPS * pps)

Parses data, and fills the pps structure.

The resulting pps data structure shall be deallocated with the gst_h264_pps_clear function when it is no longer needed, or prior to parsing a new PPS NAL unit.

Parameters:

`nalparser` –

a GstH264NalParser

`nalu` –

The GST_H264_NAL_PPS GstH264NalUnit to parse

`pps` –

The GstH264PPS to fill.

Returns –

a GstH264ParserResult

### GstCodecParsers.prototype.h264_parse_pps

    function GstCodecParsers.prototype.h264_parse_pps(nalparser: GstCodecParsers.H264NalParser, nalu: GstCodecParsers.H264NalUnit, pps: GstCodecParsers.H264PPS): {
        // javascript wrapper for 'gst_h264_parse_pps'
    }

Parses data, and fills the pps structure.

The resulting pps data structure shall be deallocated with the GstCodecParsers.H264PPS.prototype.clear function when it is no longer needed, or prior to parsing a new PPS NAL unit.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.PPS GstCodecParsers.H264NalUnit to parse

`pps` (GstCodecParsers.H264PPS) –

The GstCodecParsers.H264PPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### GstCodecParsers.h264_parse_pps

    def GstCodecParsers.h264_parse_pps (nalparser, nalu, pps):
        #python wrapper for 'gst_h264_parse_pps'

Parses data, and fills the pps structure.

The resulting pps data structure shall be deallocated with the GstCodecParsers.H264PPS.clear function when it is no longer needed, or prior to parsing a new PPS NAL unit.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.PPS GstCodecParsers.H264NalUnit to parse

`pps` (GstCodecParsers.H264PPS) –

The GstCodecParsers.H264PPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### gst_h264_parse_sps

    GstH264ParserResult
    gst_h264_parse_sps (GstH264NalUnit * nalu,
                        GstH264SPS * sps)

Parses data, and fills the sps structure.

Parameters:

`nalu` –

The GST_H264_NAL_SPS GstH264NalUnit to parse

`sps` –

The GstH264SPS to fill.

Returns –

a GstH264ParserResult

### GstCodecParsers.prototype.h264_parse_sps

    function GstCodecParsers.prototype.h264_parse_sps(nalu: GstCodecParsers.H264NalUnit, sps: GstCodecParsers.H264SPS): {
        // javascript wrapper for 'gst_h264_parse_sps'
    }

Parses data, and fills the sps structure.

Parameters:

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SPS GstCodecParsers.H264NalUnit to parse

`sps` (GstCodecParsers.H264SPS) –

The GstCodecParsers.H264SPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### GstCodecParsers.h264_parse_sps

    def GstCodecParsers.h264_parse_sps (nalu, sps):
        #python wrapper for 'gst_h264_parse_sps'

Parses data, and fills the sps structure.

Parameters:

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SPS GstCodecParsers.H264NalUnit to parse

`sps` (GstCodecParsers.H264SPS) –

The GstCodecParsers.H264SPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### gst_h264_parse_subset_sps

    GstH264ParserResult
    gst_h264_parse_subset_sps (GstH264NalUnit * nalu,
                               GstH264SPS * sps)

Parses data, and fills in the sps structure.

This function fully parses data and allocates all the necessary data structures needed for MVC extensions. The resulting sps structure shall be deallocated with gst_h264_sps_clear when it is no longer needed.

Note: if the caller doesn't need any of the MVC-specific data, then gst_h264_parser_parse_sps is more efficient because those extra syntax elements are not parsed and no extra memory is allocated.

Parameters:

`nalu` –

The GST_H264_NAL_SUBSET_SPS GstH264NalUnit to parse

`sps` –

The GstH264SPS to fill.

Returns –

a GstH264ParserResult

Since : 1.6

### GstCodecParsers.prototype.h264_parse_subset_sps

    function GstCodecParsers.prototype.h264_parse_subset_sps(nalu: GstCodecParsers.H264NalUnit, sps: GstCodecParsers.H264SPS): {
        // javascript wrapper for 'gst_h264_parse_subset_sps'
    }

Parses data, and fills in the sps structure.

This function fully parses data and allocates all the necessary data structures needed for MVC extensions. The resulting sps structure shall be deallocated with GstCodecParsers.H264SPS.prototype.clear when it is no longer needed.

Note: if the caller doesn't need any of the MVC-specific data, then GstCodecParsers.prototype.h264_parser_parse_sps is more efficient because those extra syntax elements are not parsed and no extra memory is allocated.

Parameters:

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SUBSET_SPS GstCodecParsers.H264NalUnit to parse

`sps` (GstCodecParsers.H264SPS) –

The GstCodecParsers.H264SPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

Since : 1.6

### GstCodecParsers.h264_parse_subset_sps

    def GstCodecParsers.h264_parse_subset_sps (nalu, sps):
        #python wrapper for 'gst_h264_parse_subset_sps'

Parses data, and fills in the sps structure.

This function fully parses data and allocates all the necessary data structures needed for MVC extensions. The resulting sps structure shall be deallocated with GstCodecParsers.H264SPS.clear when it is no longer needed.

Note: if the caller doesn't need any of the MVC-specific data, then GstCodecParsers.h264_parser_parse_sps is more efficient because those extra syntax elements are not parsed and no extra memory is allocated.

Parameters:

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SUBSET_SPS GstCodecParsers.H264NalUnit to parse

`sps` (GstCodecParsers.H264SPS) –

The GstCodecParsers.H264SPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

Since : 1.6

### gst_h264_parser_identify_and_split_nalu_avc

    GstH264ParserResult
    gst_h264_parser_identify_and_split_nalu_avc (GstH264NalParser * nalparser,
                                                 const guint8 * data,
                                                 guint offset,
                                                 gsize size,
                                                 guint8 nal_length_size,
                                                 GArray * nalus,
                                                 gsize * consumed)

Parses data for packetized (e.g., avc/avc3) bitstream and sets nalus. In addition to nal identifying process, this method scans start-code prefix to split malformed packet into actual nal chunks.

Parameters:

`nalparser` –

a GstH264NalParser

`data` –

The data to parse, containing an AVC coded NAL unit

`offset` –

the offset in data from which to parse the NAL unit

`size` –

the size of data

`nal_length_size` –

the size in bytes of the AVC nal length prefix.

`nalus` ( [element-type GstH264NalUnit]) –

a caller allocated GArray of GstH264NalUnit where to store parsed nal headers

`consumed` ( [out]) –

the size of consumed bytes

Returns –

a GstH264ParserResult

Since : 1.22.9

### GstCodecParsers.prototype.h264_parser_identify_and_split_nalu_avc

    function GstCodecParsers.prototype.h264_parser_identify_and_split_nalu_avc(nalparser: GstCodecParsers.H264NalParser, data: Number, offset: Number, size: Number, nal_length_size: Number, nalus: [ GstCodecParsers.H264NalUnit ]): {
        // javascript wrapper for 'gst_h264_parser_identify_and_split_nalu_avc'
    }

Parses data for packetized (e.g., avc/avc3) bitstream and sets nalus. In addition to nal identifying process, this method scans start-code prefix to split malformed packet into actual nal chunks.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`data` (Number) –

The data to parse, containing an AVC coded NAL unit

`offset` (Number) –

the offset in data from which to parse the NAL unit

`size` (Number) –

the size of data

`nal_length_size` (Number) –

the size in bytes of the AVC nal length prefix.

`nalus` ([ GstCodecParsers.H264NalUnit ]) –

a caller allocated GArray of GstCodecParsers.H264NalUnit where to store parsed nal headers

Returns a tuple made of:

(GstCodecParsers.H264ParserResult ) –

a GstCodecParsers.H264ParserResult

`consumed` (Number ) –

a GstCodecParsers.H264ParserResult

Since : 1.22.9

### GstCodecParsers.h264_parser_identify_and_split_nalu_avc

    def GstCodecParsers.h264_parser_identify_and_split_nalu_avc (nalparser, data, offset, size, nal_length_size, nalus):
        #python wrapper for 'gst_h264_parser_identify_and_split_nalu_avc'

Parses data for packetized (e.g., avc/avc3) bitstream and sets nalus. In addition to nal identifying process, this method scans start-code prefix to split malformed packet into actual nal chunks.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`data` (int) –

The data to parse, containing an AVC coded NAL unit

`offset` (int) –

the offset in data from which to parse the NAL unit

`size` (int) –

the size of data

`nal_length_size` (int) –

the size in bytes of the AVC nal length prefix.

`nalus` ([ GstCodecParsers.H264NalUnit ]) –

a caller allocated GArray of GstCodecParsers.H264NalUnit where to store parsed nal headers

Returns a tuple made of:

(GstCodecParsers.H264ParserResult ) –

a GstCodecParsers.H264ParserResult

`consumed` (int ) –

a GstCodecParsers.H264ParserResult

Since : 1.22.9

### gst_h264_parser_identify_nalu

    GstH264ParserResult
    gst_h264_parser_identify_nalu (GstH264NalParser * nalparser,
                                   const guint8 * data,
                                   guint offset,
                                   gsize size,
                                   GstH264NalUnit * nalu)

Parses the headers of an Annex B coded NAL unit from data and puts the result into nalu.

Parameters:

`nalparser` –

a GstH264NalParser

`data` –

The data to parse, containing an Annex B coded NAL unit

`offset` –

the offset in data from which to parse the NAL unit

`size` –

the size of data

`nalu` –

The GstH264NalUnit to store the identified NAL unit in

Returns –

a GstH264ParserResult

### GstCodecParsers.prototype.h264_parser_identify_nalu

    function GstCodecParsers.prototype.h264_parser_identify_nalu(nalparser: GstCodecParsers.H264NalParser, data: Number, offset: Number, size: Number, nalu: GstCodecParsers.H264NalUnit): {
        // javascript wrapper for 'gst_h264_parser_identify_nalu'
    }

Parses the headers of an Annex B coded NAL unit from data and puts the result into nalu.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`data` (Number) –

The data to parse, containing an Annex B coded NAL unit

`offset` (Number) –

the offset in data from which to parse the NAL unit

`size` (Number) –

the size of data

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnit to store the identified NAL unit in

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### GstCodecParsers.h264_parser_identify_nalu

    def GstCodecParsers.h264_parser_identify_nalu (nalparser, data, offset, size, nalu):
        #python wrapper for 'gst_h264_parser_identify_nalu'

Parses the headers of an Annex B coded NAL unit from data and puts the result into nalu.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`data` (int) –

The data to parse, containing an Annex B coded NAL unit

`offset` (int) –

the offset in data from which to parse the NAL unit

`size` (int) –

the size of data

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnit to store the identified NAL unit in

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### gst_h264_parser_identify_nalu_avc

    GstH264ParserResult
    gst_h264_parser_identify_nalu_avc (GstH264NalParser * nalparser,
                                       const guint8 * data,
                                       guint offset,
                                       gsize size,
                                       guint8 nal_length_size,
                                       GstH264NalUnit * nalu)

Parses the headers of an AVC coded NAL unit from data and puts the result into nalu.

Parameters:

`nalparser` –

a GstH264NalParser

`data` –

The data to parse, containing an AVC coded NAL unit

`offset` –

the offset in data from which to parse the NAL unit

`size` –

the size of data

`nal_length_size` –

the size in bytes of the AVC nal length prefix.

`nalu` –

The GstH264NalUnit to store the identified NAL unit in

Returns –

a GstH264ParserResult

### GstCodecParsers.prototype.h264_parser_identify_nalu_avc

    function GstCodecParsers.prototype.h264_parser_identify_nalu_avc(nalparser: GstCodecParsers.H264NalParser, data: Number, offset: Number, size: Number, nal_length_size: Number, nalu: GstCodecParsers.H264NalUnit): {
        // javascript wrapper for 'gst_h264_parser_identify_nalu_avc'
    }

Parses the headers of an AVC coded NAL unit from data and puts the result into nalu.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`data` (Number) –

The data to parse, containing an AVC coded NAL unit

`offset` (Number) –

the offset in data from which to parse the NAL unit

`size` (Number) –

the size of data

`nal_length_size` (Number) –

the size in bytes of the AVC nal length prefix.

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnit to store the identified NAL unit in

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### GstCodecParsers.h264_parser_identify_nalu_avc

    def GstCodecParsers.h264_parser_identify_nalu_avc (nalparser, data, offset, size, nal_length_size, nalu):
        #python wrapper for 'gst_h264_parser_identify_nalu_avc'

Parses the headers of an AVC coded NAL unit from data and puts the result into nalu.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`data` (int) –

The data to parse, containing an AVC coded NAL unit

`offset` (int) –

the offset in data from which to parse the NAL unit

`size` (int) –

the size of data

`nal_length_size` (int) –

the size in bytes of the AVC nal length prefix.

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnit to store the identified NAL unit in

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### gst_h264_parser_identify_nalu_unchecked

    GstH264ParserResult
    gst_h264_parser_identify_nalu_unchecked (GstH264NalParser * nalparser,
                                             const guint8 * data,
                                             guint offset,
                                             gsize size,
                                             GstH264NalUnit * nalu)

Parses data and fills nalu from the next nalu data from data.

This differs from gst_h264_parser_identify_nalu in that it doesn't check whether the packet is complete or not.

Note: Only use this function if you already know the provided data is a complete NALU, else use gst_h264_parser_identify_nalu.

Parameters:

`nalparser` –

a GstH264NalParser

`data` –

The data to parse

`offset` –

the offset from which to parse data

`size` –

the size of data

`nalu` –

The GstH264NalUnit where to store parsed nal headers

Returns –

a GstH264ParserResult

### GstCodecParsers.prototype.h264_parser_identify_nalu_unchecked

    function GstCodecParsers.prototype.h264_parser_identify_nalu_unchecked(nalparser: GstCodecParsers.H264NalParser, data: Number, offset: Number, size: Number, nalu: GstCodecParsers.H264NalUnit): {
        // javascript wrapper for 'gst_h264_parser_identify_nalu_unchecked'
    }

Parses data and fills nalu from the next nalu data from data.

This differs from gst_h264_parser_identify_nalu in that it doesn't check whether the packet is complete or not.

Note: Only use this function if you already know the provided data is a complete NALU, else use gst_h264_parser_identify_nalu.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`data` (Number) –

The data to parse

`offset` (Number) –

the offset from which to parse data

`size` (Number) –

the size of data

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnit where to store parsed nal headers

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### GstCodecParsers.h264_parser_identify_nalu_unchecked

    def GstCodecParsers.h264_parser_identify_nalu_unchecked (nalparser, data, offset, size, nalu):
        #python wrapper for 'gst_h264_parser_identify_nalu_unchecked'

Parses data and fills nalu from the next nalu data from data.

This differs from gst_h264_parser_identify_nalu in that it doesn't check whether the packet is complete or not.

Note: Only use this function if you already know the provided data is a complete NALU, else use gst_h264_parser_identify_nalu.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`data` (int) –

The data to parse

`offset` (int) –

the offset from which to parse data

`size` (int) –

the size of data

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnit where to store parsed nal headers

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### gst_h264_parser_insert_sei

    GstBuffer *
    gst_h264_parser_insert_sei (GstH264NalParser * nalparser,
                                GstBuffer * au,
                                GstMemory * sei)

Copy au into new GstBuffer and insert sei into the GstBuffer. The validation for completeness of au and sei is caller's responsibility. Both au and sei must be byte-stream formatted

Parameters:

`nalparser` –

a GstH264NalParser

`au` ( [transfer: none]) –

a GstBuffer containing AU data

`sei` ( [transfer: none]) –

a GstMemory containing a SEI nal

Returns ( [transfer: full][nullable]) –

a SEI inserted GstBuffer or NULL if cannot figure out proper position to insert a sei

Since : 1.18

### GstCodecParsers.prototype.h264_parser_insert_sei

    function GstCodecParsers.prototype.h264_parser_insert_sei(nalparser: GstCodecParsers.H264NalParser, au: Gst.Buffer, sei: Gst.Memory): {
        // javascript wrapper for 'gst_h264_parser_insert_sei'
    }

Copy au into new Gst.Buffer and insert sei into the Gst.Buffer. The validation for completeness of au and sei is caller's responsibility. Both au and sei must be byte-stream formatted

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`au` (Gst.Buffer) –

a Gst.Buffer containing AU data

`sei` (Gst.Memory) –

a Gst.Memory containing a SEI nal

Returns (Gst.Buffer) –

a SEI inserted Gst.Buffer or null if cannot figure out proper position to insert a sei

Since : 1.18

### GstCodecParsers.h264_parser_insert_sei

    def GstCodecParsers.h264_parser_insert_sei (nalparser, au, sei):
        #python wrapper for 'gst_h264_parser_insert_sei'

Copy au into new Gst.Buffer and insert sei into the Gst.Buffer. The validation for completeness of au and sei is caller's responsibility. Both au and sei must be byte-stream formatted

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`au` (Gst.Buffer) –

a Gst.Buffer containing AU data

`sei` (Gst.Memory) –

a Gst.Memory containing a SEI nal

Returns (Gst.Buffer) –

a SEI inserted Gst.Buffer or None if cannot figure out proper position to insert a sei

Since : 1.18

### gst_h264_parser_insert_sei_avc

    GstBuffer *
    gst_h264_parser_insert_sei_avc (GstH264NalParser * nalparser,
                                    guint8 nal_length_size,
                                    GstBuffer * au,
                                    GstMemory * sei)

Copy au into new GstBuffer and insert sei into the GstBuffer. The validation for completeness of au and sei is caller's responsibility. Nal prefix type of both au and sei must be packetized, and also the size of nal length field must be identical to nal_length_size

Parameters:

`nalparser` –

a GstH264NalParser

`nal_length_size` –

a size of nal length field, allowed range is [1, 4]

`au` ( [transfer: none]) –

a GstBuffer containing AU data

`sei` ( [transfer: none]) –

a GstMemory containing a SEI nal

Returns ( [transfer: full][nullable]) –

a SEI inserted GstBuffer or NULL if cannot figure out proper position to insert a sei

Since : 1.18

### GstCodecParsers.prototype.h264_parser_insert_sei_avc

    function GstCodecParsers.prototype.h264_parser_insert_sei_avc(nalparser: GstCodecParsers.H264NalParser, nal_length_size: Number, au: Gst.Buffer, sei: Gst.Memory): {
        // javascript wrapper for 'gst_h264_parser_insert_sei_avc'
    }

Copy au into new Gst.Buffer and insert sei into the Gst.Buffer. The validation for completeness of au and sei is caller's responsibility. Nal prefix type of both au and sei must be packetized, and also the size of nal length field must be identical to nal_length_size

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nal_length_size` (Number) –

a size of nal length field, allowed range is [1, 4]

`au` (Gst.Buffer) –

a Gst.Buffer containing AU data

`sei` (Gst.Memory) –

a Gst.Memory containing a SEI nal

Returns (Gst.Buffer) –

a SEI inserted Gst.Buffer or null if cannot figure out proper position to insert a sei

Since : 1.18

### GstCodecParsers.h264_parser_insert_sei_avc

    def GstCodecParsers.h264_parser_insert_sei_avc (nalparser, nal_length_size, au, sei):
        #python wrapper for 'gst_h264_parser_insert_sei_avc'

Copy au into new Gst.Buffer and insert sei into the Gst.Buffer. The validation for completeness of au and sei is caller's responsibility. Nal prefix type of both au and sei must be packetized, and also the size of nal length field must be identical to nal_length_size

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nal_length_size` (int) –

a size of nal length field, allowed range is [1, 4]

`au` (Gst.Buffer) –

a Gst.Buffer containing AU data

`sei` (Gst.Memory) –

a Gst.Memory containing a SEI nal

Returns (Gst.Buffer) –

a SEI inserted Gst.Buffer or None if cannot figure out proper position to insert a sei

Since : 1.18

### gst_h264_parser_parse_decoder_config_record

    GstH264ParserResult
    gst_h264_parser_parse_decoder_config_record (GstH264NalParser * nalparser,
                                                 const guint8 * data,
                                                 gsize size,
                                                 GstH264DecoderConfigRecord ** config)

Parses AVCDecoderConfigurationRecord data and fill into config. The caller must free config via gst_h264_decoder_config_record_free

This method does not parse SPS and PPS and therefore the caller needs to parse each NAL unit via appropriate parsing method.

Parameters:

`nalparser` –

a GstH264NalParser

`data` –

the data to parse

`size` –

the size of data

`config` ( [out]) –

parsed GstH264DecoderConfigRecord data

Returns –

a GstH264ParserResult

Since : 1.22

### GstCodecParsers.prototype.h264_parser_parse_decoder_config_record

    function GstCodecParsers.prototype.h264_parser_parse_decoder_config_record(nalparser: GstCodecParsers.H264NalParser, data: Number, size: Number): {
        // javascript wrapper for 'gst_h264_parser_parse_decoder_config_record'
    }

Parses AVCDecoderConfigurationRecord data and fill into config. The caller must free config via GstCodecParsers.H264DecoderConfigRecord.prototype.free

This method does not parse SPS and PPS and therefore the caller needs to parse each NAL unit via appropriate parsing method.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`data` (Number) –

the data to parse

`size` (Number) –

the size of data

Returns a tuple made of:

(GstCodecParsers.H264ParserResult ) –

a GstCodecParsers.H264ParserResult

`config` (GstCodecParsers.H264DecoderConfigRecord ) –

a GstCodecParsers.H264ParserResult

Since : 1.22

### GstCodecParsers.h264_parser_parse_decoder_config_record

    def GstCodecParsers.h264_parser_parse_decoder_config_record (nalparser, data, size):
        #python wrapper for 'gst_h264_parser_parse_decoder_config_record'

Parses AVCDecoderConfigurationRecord data and fill into config. The caller must free config via GstCodecParsers.H264DecoderConfigRecord.free

This method does not parse SPS and PPS and therefore the caller needs to parse each NAL unit via appropriate parsing method.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`data` (int) –

the data to parse

`size` (int) –

the size of data

Returns a tuple made of:

(GstCodecParsers.H264ParserResult ) –

a GstCodecParsers.H264ParserResult

`config` (GstCodecParsers.H264DecoderConfigRecord ) –

a GstCodecParsers.H264ParserResult

Since : 1.22

### gst_h264_parser_parse_nal

    GstH264ParserResult
    gst_h264_parser_parse_nal (GstH264NalParser * nalparser,
                               GstH264NalUnit * nalu)

This function should be called in the case one doesn't need to parse a specific structure. It is necessary to do so to make sure nalparser is up to date.

Parameters:

`nalparser` –

a GstH264NalParser

`nalu` –

The GstH264NalUnit to parse

Returns –

a GstH264ParserResult

### GstCodecParsers.prototype.h264_parser_parse_nal

    function GstCodecParsers.prototype.h264_parser_parse_nal(nalparser: GstCodecParsers.H264NalParser, nalu: GstCodecParsers.H264NalUnit): {
        // javascript wrapper for 'gst_h264_parser_parse_nal'
    }

This function should be called in the case one doesn't need to parse a specific structure. It is necessary to do so to make sure nalparser is up to date.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnit to parse

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### GstCodecParsers.h264_parser_parse_nal

    def GstCodecParsers.h264_parser_parse_nal (nalparser, nalu):
        #python wrapper for 'gst_h264_parser_parse_nal'

This function should be called in the case one doesn't need to parse a specific structure. It is necessary to do so to make sure nalparser is up to date.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnit to parse

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### gst_h264_parser_parse_pps

    GstH264ParserResult
    gst_h264_parser_parse_pps (GstH264NalParser * nalparser,
                               GstH264NalUnit * nalu,
                               GstH264PPS * pps)

Parses nalu containing a Picture Parameter Set, and fills pps.

The resulting pps data structure must be deallocated by the caller using gst_h264_pps_clear.

Parameters:

`nalparser` –

a GstH264NalParser

`nalu` –

The GST_H264_NAL_PPS GstH264NalUnit to parse

`pps` –

The GstH264PPS to fill.

Returns –

a GstH264ParserResult

### GstCodecParsers.prototype.h264_parser_parse_pps

    function GstCodecParsers.prototype.h264_parser_parse_pps(nalparser: GstCodecParsers.H264NalParser, nalu: GstCodecParsers.H264NalUnit, pps: GstCodecParsers.H264PPS): {
        // javascript wrapper for 'gst_h264_parser_parse_pps'
    }

Parses nalu containing a Picture Parameter Set, and fills pps.

The resulting pps data structure must be deallocated by the caller using GstCodecParsers.H264PPS.prototype.clear.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.PPS GstCodecParsers.H264NalUnit to parse

`pps` (GstCodecParsers.H264PPS) –

The GstCodecParsers.H264PPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### GstCodecParsers.h264_parser_parse_pps

    def GstCodecParsers.h264_parser_parse_pps (nalparser, nalu, pps):
        #python wrapper for 'gst_h264_parser_parse_pps'

Parses nalu containing a Picture Parameter Set, and fills pps.

The resulting pps data structure must be deallocated by the caller using GstCodecParsers.H264PPS.clear.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.PPS GstCodecParsers.H264NalUnit to parse

`pps` (GstCodecParsers.H264PPS) –

The GstCodecParsers.H264PPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### gst_h264_parser_parse_sei

    GstH264ParserResult
    gst_h264_parser_parse_sei (GstH264NalParser * nalparser,
                               GstH264NalUnit * nalu,
                               GArray ** messages)

Parses nalu containing one or more Supplementary Enhancement Information messages, and allocates and fills the messages array.

Parameters:

`nalparser` –

a GstH264NalParser

`nalu` –

The GST_H264_NAL_SEI GstH264NalUnit to parse

`messages` ( [element-type GstH264SEIMessage]) –

The GArray of GstH264SEIMessage to fill. The caller must free it when done.

Returns –

a GstH264ParserResult

### GstCodecParsers.prototype.h264_parser_parse_sei

    function GstCodecParsers.prototype.h264_parser_parse_sei(nalparser: GstCodecParsers.H264NalParser, nalu: GstCodecParsers.H264NalUnit, messages: [ GstCodecParsers.H264SEIMessage ]): {
        // javascript wrapper for 'gst_h264_parser_parse_sei'
    }

Parses nalu containing one or more Supplementary Enhancement Information messages, and allocates and fills the messages array.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SEI GstCodecParsers.H264NalUnit to parse

`messages` ([ GstCodecParsers.H264SEIMessage ]) –

The GArray of GstCodecParsers.H264SEIMessage to fill. The caller must free it when done.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### GstCodecParsers.h264_parser_parse_sei

    def GstCodecParsers.h264_parser_parse_sei (nalparser, nalu, messages):
        #python wrapper for 'gst_h264_parser_parse_sei'

Parses nalu containing one or more Supplementary Enhancement Information messages, and allocates and fills the messages array.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SEI GstCodecParsers.H264NalUnit to parse

`messages` ([ GstCodecParsers.H264SEIMessage ]) –

The GArray of GstCodecParsers.H264SEIMessage to fill. The caller must free it when done.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### gst_h264_parser_parse_slice_hdr

    GstH264ParserResult
    gst_h264_parser_parse_slice_hdr (GstH264NalParser * nalparser,
                                     GstH264NalUnit * nalu,
                                     GstH264SliceHdr * slice,
                                     gboolean parse_pred_weight_table,
                                     gboolean parse_dec_ref_pic_marking)

Parses nalu containing a coded slice, and fills slice.

Parameters:

`nalparser` –

a GstH264NalParser

`nalu` –

The GST_H264_NAL_SLICE to GST_H264_NAL_SLICE_IDR GstH264NalUnit to parse

`slice` –

The GstH264SliceHdr to fill.

`parse_pred_weight_table` –

Whether to parse the pred_weight_table or not

`parse_dec_ref_pic_marking` –

Whether to parse the dec_ref_pic_marking or not

Returns –

a GstH264ParserResult

### GstCodecParsers.prototype.h264_parser_parse_slice_hdr

    function GstCodecParsers.prototype.h264_parser_parse_slice_hdr(nalparser: GstCodecParsers.H264NalParser, nalu: GstCodecParsers.H264NalUnit, slice: GstCodecParsers.H264SliceHdr, parse_pred_weight_table: Number, parse_dec_ref_pic_marking: Number): {
        // javascript wrapper for 'gst_h264_parser_parse_slice_hdr'
    }

Parses nalu containing a coded slice, and fills slice.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SLICE to GstCodecParsers.H264NalUnitType.SLICE_IDR GstCodecParsers.H264NalUnit to parse

`slice` (GstCodecParsers.H264SliceHdr) –

The GstCodecParsers.H264SliceHdr to fill.

`parse_pred_weight_table` (Number) –

Whether to parse the pred_weight_table or not

`parse_dec_ref_pic_marking` (Number) –

Whether to parse the dec_ref_pic_marking or not

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### GstCodecParsers.h264_parser_parse_slice_hdr

    def GstCodecParsers.h264_parser_parse_slice_hdr (nalparser, nalu, slice, parse_pred_weight_table, parse_dec_ref_pic_marking):
        #python wrapper for 'gst_h264_parser_parse_slice_hdr'

Parses nalu containing a coded slice, and fills slice.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SLICE to GstCodecParsers.H264NalUnitType.SLICE_IDR GstCodecParsers.H264NalUnit to parse

`slice` (GstCodecParsers.H264SliceHdr) –

The GstCodecParsers.H264SliceHdr to fill.

`parse_pred_weight_table` (bool) –

Whether to parse the pred_weight_table or not

`parse_dec_ref_pic_marking` (bool) –

Whether to parse the dec_ref_pic_marking or not

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### gst_h264_parser_parse_sps

    GstH264ParserResult
    gst_h264_parser_parse_sps (GstH264NalParser * nalparser,
                               GstH264NalUnit * nalu,
                               GstH264SPS * sps)

Parses nalu containing a Sequence Parameter Set, and fills sps.

Parameters:

`nalparser` –

a GstH264NalParser

`nalu` –

The GST_H264_NAL_SPS GstH264NalUnit to parse

`sps` –

The GstH264SPS to fill.

Returns –

a GstH264ParserResult

### GstCodecParsers.prototype.h264_parser_parse_sps

    function GstCodecParsers.prototype.h264_parser_parse_sps(nalparser: GstCodecParsers.H264NalParser, nalu: GstCodecParsers.H264NalUnit, sps: GstCodecParsers.H264SPS): {
        // javascript wrapper for 'gst_h264_parser_parse_sps'
    }

Parses nalu containing a Sequence Parameter Set, and fills sps.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SPS GstCodecParsers.H264NalUnit to parse

`sps` (GstCodecParsers.H264SPS) –

The GstCodecParsers.H264SPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### GstCodecParsers.h264_parser_parse_sps

    def GstCodecParsers.h264_parser_parse_sps (nalparser, nalu, sps):
        #python wrapper for 'gst_h264_parser_parse_sps'

Parses nalu containing a Sequence Parameter Set, and fills sps.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SPS GstCodecParsers.H264NalUnit to parse

`sps` (GstCodecParsers.H264SPS) –

The GstCodecParsers.H264SPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

### gst_h264_parser_parse_subset_sps

    GstH264ParserResult
    gst_h264_parser_parse_subset_sps (GstH264NalParser * nalparser,
                                      GstH264NalUnit * nalu,
                                      GstH264SPS * sps)

Parses data, and fills in the sps structure.

This function fully parses data and allocates all the necessary data structures needed for MVC extensions. The resulting sps structure shall be deallocated with gst_h264_sps_clear when it is no longer needed.

Note: if the caller doesn't need any of the MVC-specific data, then gst_h264_parser_parse_sps is more efficient because those extra syntax elements are not parsed and no extra memory is allocated.

Parameters:

`nalparser` –

a GstH264NalParser

`nalu` –

The GST_H264_NAL_SUBSET_SPS GstH264NalUnit to parse

`sps` –

The GstH264SPS to fill.

Returns –

a GstH264ParserResult

Since : 1.6

### GstCodecParsers.prototype.h264_parser_parse_subset_sps

    function GstCodecParsers.prototype.h264_parser_parse_subset_sps(nalparser: GstCodecParsers.H264NalParser, nalu: GstCodecParsers.H264NalUnit, sps: GstCodecParsers.H264SPS): {
        // javascript wrapper for 'gst_h264_parser_parse_subset_sps'
    }

Parses data, and fills in the sps structure.

This function fully parses data and allocates all the necessary data structures needed for MVC extensions. The resulting sps structure shall be deallocated with GstCodecParsers.H264SPS.prototype.clear when it is no longer needed.

Note: if the caller doesn't need any of the MVC-specific data, then GstCodecParsers.prototype.h264_parser_parse_sps is more efficient because those extra syntax elements are not parsed and no extra memory is allocated.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SUBSET_SPS GstCodecParsers.H264NalUnit to parse

`sps` (GstCodecParsers.H264SPS) –

The GstCodecParsers.H264SPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

Since : 1.6

### GstCodecParsers.h264_parser_parse_subset_sps

    def GstCodecParsers.h264_parser_parse_subset_sps (nalparser, nalu, sps):
        #python wrapper for 'gst_h264_parser_parse_subset_sps'

Parses data, and fills in the sps structure.

This function fully parses data and allocates all the necessary data structures needed for MVC extensions. The resulting sps structure shall be deallocated with GstCodecParsers.H264SPS.clear when it is no longer needed.

Note: if the caller doesn't need any of the MVC-specific data, then GstCodecParsers.h264_parser_parse_sps is more efficient because those extra syntax elements are not parsed and no extra memory is allocated.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`nalu` (GstCodecParsers.H264NalUnit) –

The GstCodecParsers.H264NalUnitType.SUBSET_SPS GstCodecParsers.H264NalUnit to parse

`sps` (GstCodecParsers.H264SPS) –

The GstCodecParsers.H264SPS to fill.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

Since : 1.6

### gst_h264_parser_update_pps

    GstH264ParserResult
    gst_h264_parser_update_pps (GstH264NalParser * nalparser,
                                GstH264PPS * pps)

Replace internal Picture Parameter Set struct corresponding to id of pps with pps. nalparser will mark pps as last parsed pps.

Parameters:

`nalparser` –

a GstH264NalParser

`pps` ( [transfer: none]) –

a GstH264PPS.

Returns –

a GstH264ParserResult

Since : 1.18

### GstCodecParsers.prototype.h264_parser_update_pps

    function GstCodecParsers.prototype.h264_parser_update_pps(nalparser: GstCodecParsers.H264NalParser, pps: GstCodecParsers.H264PPS): {
        // javascript wrapper for 'gst_h264_parser_update_pps'
    }

Replace internal Picture Parameter Set struct corresponding to id of pps with pps. nalparser will mark pps as last parsed pps.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`pps` (GstCodecParsers.H264PPS) –

a GstCodecParsers.H264PPS.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

Since : 1.18

### GstCodecParsers.h264_parser_update_pps

    def GstCodecParsers.h264_parser_update_pps (nalparser, pps):
        #python wrapper for 'gst_h264_parser_update_pps'

Replace internal Picture Parameter Set struct corresponding to id of pps with pps. nalparser will mark pps as last parsed pps.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`pps` (GstCodecParsers.H264PPS) –

a GstCodecParsers.H264PPS.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

Since : 1.18

### gst_h264_parser_update_sps

    GstH264ParserResult
    gst_h264_parser_update_sps (GstH264NalParser * nalparser,
                                GstH264SPS * sps)

Replace internal Sequence Parameter Set struct corresponding to id of sps with sps. nalparser will mark sps as last parsed sps.

Parameters:

`nalparser` –

a GstH264NalParser

`sps` ( [transfer: none]) –

a GstH264SPS.

Returns –

a GstH264ParserResult

Since : 1.18

### GstCodecParsers.prototype.h264_parser_update_sps

    function GstCodecParsers.prototype.h264_parser_update_sps(nalparser: GstCodecParsers.H264NalParser, sps: GstCodecParsers.H264SPS): {
        // javascript wrapper for 'gst_h264_parser_update_sps'
    }

Replace internal Sequence Parameter Set struct corresponding to id of sps with sps. nalparser will mark sps as last parsed sps.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`sps` (GstCodecParsers.H264SPS) –

a GstCodecParsers.H264SPS.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

Since : 1.18

### GstCodecParsers.h264_parser_update_sps

    def GstCodecParsers.h264_parser_update_sps (nalparser, sps):
        #python wrapper for 'gst_h264_parser_update_sps'

Replace internal Sequence Parameter Set struct corresponding to id of sps with sps. nalparser will mark sps as last parsed sps.

Parameters:

`nalparser` (GstCodecParsers.H264NalParser) –

a GstCodecParsers.H264NalParser

`sps` (GstCodecParsers.H264SPS) –

a GstCodecParsers.H264SPS.

Returns (GstCodecParsers.H264ParserResult) –

a GstCodecParsers.H264ParserResult

Since : 1.18

### gst_h264_profile_from_string

    GstH264Profile
    gst_h264_profile_from_string (const gchar * profile)

Returns a GstH264Profile for the string.

Parameters:

`profile` –

the descriptive name for GstH264Profile

Returns –

the GstH264Profile of string or GST_H265_PROFILE_INVALID on error

Since : 1.24

### GstCodecParsers.prototype.h264_profile_from_string

    function GstCodecParsers.prototype.h264_profile_from_string(profile: String): {
        // javascript wrapper for 'gst_h264_profile_from_string'
    }

Returns a GstCodecParsers.H264Profile for the string.

Parameters:

`profile` (String) –

the descriptive name for GstCodecParsers.H264Profile

Returns (GstCodecParsers.H264Profile) –

the GstCodecParsers.H264Profile of string or GstCodecParsers.H265Profile.INVALID on error

Since : 1.24

### GstCodecParsers.h264_profile_from_string

    def GstCodecParsers.h264_profile_from_string (profile):
        #python wrapper for 'gst_h264_profile_from_string'

Returns a GstCodecParsers.H264Profile for the string.

Parameters:

`profile` (str) –

the descriptive name for GstCodecParsers.H264Profile

Returns (GstCodecParsers.H264Profile) –

the GstCodecParsers.H264Profile of string or GstCodecParsers.H265Profile.INVALID on error

Since : 1.24

### gst_h264_quant_matrix_4x4_get_raster_from_zigzag

    gst_h264_quant_matrix_4x4_get_raster_from_zigzag (guint8 * out_quant,
                                                      const guint8 * quant)

Converts quantization matrix quant from zigzag scan order to raster scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`out_quant` ( [out]) –

The resulting quantization matrix

`quant` –

The source quantization matrix

Since : 1.4

### GstCodecParsers.prototype.h264_quant_matrix_4x4_get_raster_from_zigzag

    function GstCodecParsers.prototype.h264_quant_matrix_4x4_get_raster_from_zigzag(quant: Number): {
        // javascript wrapper for 'gst_h264_quant_matrix_4x4_get_raster_from_zigzag'
    }

Converts quantization matrix quant from zigzag scan order to raster scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (Number) –

The source quantization matrix

Since : 1.4

### GstCodecParsers.h264_quant_matrix_4x4_get_raster_from_zigzag

    def GstCodecParsers.h264_quant_matrix_4x4_get_raster_from_zigzag (quant):
        #python wrapper for 'gst_h264_quant_matrix_4x4_get_raster_from_zigzag'

Converts quantization matrix quant from zigzag scan order to raster scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (int) –

The source quantization matrix

Since : 1.4

### gst_h264_quant_matrix_4x4_get_zigzag_from_raster

    gst_h264_quant_matrix_4x4_get_zigzag_from_raster (guint8 * out_quant,
                                                      const guint8 * quant)

Converts quantization matrix quant from raster scan order to zigzag scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`out_quant` ( [out]) –

The resulting quantization matrix

`quant` –

The source quantization matrix

Since : 1.4

### GstCodecParsers.prototype.h264_quant_matrix_4x4_get_zigzag_from_raster

    function GstCodecParsers.prototype.h264_quant_matrix_4x4_get_zigzag_from_raster(quant: Number): {
        // javascript wrapper for 'gst_h264_quant_matrix_4x4_get_zigzag_from_raster'
    }

Converts quantization matrix quant from raster scan order to zigzag scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (Number) –

The source quantization matrix

Since : 1.4

### GstCodecParsers.h264_quant_matrix_4x4_get_zigzag_from_raster

    def GstCodecParsers.h264_quant_matrix_4x4_get_zigzag_from_raster (quant):
        #python wrapper for 'gst_h264_quant_matrix_4x4_get_zigzag_from_raster'

Converts quantization matrix quant from raster scan order to zigzag scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (int) –

The source quantization matrix

Since : 1.4

### gst_h264_quant_matrix_8x8_get_raster_from_zigzag

    gst_h264_quant_matrix_8x8_get_raster_from_zigzag (guint8 * out_quant,
                                                      const guint8 * quant)

Converts quantization matrix quant from zigzag scan order to raster scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`out_quant` ( [out]) –

The resulting quantization matrix

`quant` –

The source quantization matrix

Since : 1.4

### GstCodecParsers.prototype.h264_quant_matrix_8x8_get_raster_from_zigzag

    function GstCodecParsers.prototype.h264_quant_matrix_8x8_get_raster_from_zigzag(quant: Number): {
        // javascript wrapper for 'gst_h264_quant_matrix_8x8_get_raster_from_zigzag'
    }

Converts quantization matrix quant from zigzag scan order to raster scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (Number) –

The source quantization matrix

Since : 1.4

### GstCodecParsers.h264_quant_matrix_8x8_get_raster_from_zigzag

    def GstCodecParsers.h264_quant_matrix_8x8_get_raster_from_zigzag (quant):
        #python wrapper for 'gst_h264_quant_matrix_8x8_get_raster_from_zigzag'

Converts quantization matrix quant from zigzag scan order to raster scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (int) –

The source quantization matrix

Since : 1.4

### gst_h264_quant_matrix_8x8_get_zigzag_from_raster

    gst_h264_quant_matrix_8x8_get_zigzag_from_raster (guint8 * out_quant,
                                                      const guint8 * quant)

Converts quantization matrix quant from raster scan order to zigzag scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`out_quant` ( [out]) –

The resulting quantization matrix

`quant` –

The source quantization matrix

Since : 1.4

### GstCodecParsers.prototype.h264_quant_matrix_8x8_get_zigzag_from_raster

    function GstCodecParsers.prototype.h264_quant_matrix_8x8_get_zigzag_from_raster(quant: Number): {
        // javascript wrapper for 'gst_h264_quant_matrix_8x8_get_zigzag_from_raster'
    }

Converts quantization matrix quant from raster scan order to zigzag scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (Number) –

The source quantization matrix

Since : 1.4

### GstCodecParsers.h264_quant_matrix_8x8_get_zigzag_from_raster

    def GstCodecParsers.h264_quant_matrix_8x8_get_zigzag_from_raster (quant):
        #python wrapper for 'gst_h264_quant_matrix_8x8_get_zigzag_from_raster'

Converts quantization matrix quant from raster scan order to zigzag scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (int) –

The source quantization matrix

Since : 1.4

### gst_h264_sei_clear

    gst_h264_sei_clear (GstH264SEIMessage * sei)

sei: The GstH264SEIMessage to clear

Parameters:

`sei` –
No description available

### GstCodecParsers.prototype.h264_sei_clear

    function GstCodecParsers.prototype.h264_sei_clear(sei: GstCodecParsers.H264SEIMessage): {
        // javascript wrapper for 'gst_h264_sei_clear'
    }

sei: The GstCodecParsers.H264SEIMessage to clear

Parameters:

`sei` (GstCodecParsers.H264SEIMessage) –
No description available

### GstCodecParsers.h264_sei_clear

    def GstCodecParsers.h264_sei_clear (sei):
        #python wrapper for 'gst_h264_sei_clear'

sei: The GstCodecParsers.H264SEIMessage to clear

Parameters:

`sei` (GstCodecParsers.H264SEIMessage) –
No description available

### gst_h264_slice_type_to_string

    const gchar *
    gst_h264_slice_type_to_string (GstH264SliceType slice_type)

Returns the descriptive name for the GstH264SliceType.

Parameters:

`slice_type` –

a GstH264SliceType

Returns ( [nullable]) –

the name for slice_type or NULL on error

Since : 1.24

### GstCodecParsers.prototype.h264_slice_type_to_string

    function GstCodecParsers.prototype.h264_slice_type_to_string(slice_type: GstCodecParsers.H264SliceType): {
        // javascript wrapper for 'gst_h264_slice_type_to_string'
    }

Returns the descriptive name for the GstCodecParsers.H264SliceType.

Parameters:

`slice_type` (GstCodecParsers.H264SliceType) –

a GstCodecParsers.H264SliceType

Returns (String) –

the name for slice_type or null on error

Since : 1.24

### GstCodecParsers.h264_slice_type_to_string

    def GstCodecParsers.h264_slice_type_to_string (slice_type):
        #python wrapper for 'gst_h264_slice_type_to_string'

Returns the descriptive name for the GstCodecParsers.H264SliceType.

Parameters:

`slice_type` (GstCodecParsers.H264SliceType) –

a GstCodecParsers.H264SliceType

Returns (str) –

the name for slice_type or None on error

Since : 1.24

### gst_h264_video_calculate_framerate

    gst_h264_video_calculate_framerate (const GstH264SPS * sps,
                                        guint field_pic_flag,
                                        guint pic_struct,
                                        gint * fps_num,
                                        gint * fps_den)

Calculate framerate of a video sequence using sps VUI information, field_pic_flag from a slice header and pic_struct from GstH264PicTiming SEI message.

If framerate is variable or can't be determined, fps_num will be set to 0 and fps_den to 1.

Parameters:

`sps` –

Current Sequence Parameter Set

`field_pic_flag` –

Current field_pic_flag, obtained from latest slice header

`pic_struct` –

pic_struct value if available, 0 otherwise

`fps_num` ( [out]) –

The resulting fps numerator

`fps_den` ( [out]) –

The resulting fps denominator

### GstCodecParsers.prototype.h264_video_calculate_framerate

    function GstCodecParsers.prototype.h264_video_calculate_framerate(sps: GstCodecParsers.H264SPS, field_pic_flag: Number, pic_struct: Number): {
        // javascript wrapper for 'gst_h264_video_calculate_framerate'
    }

Calculate framerate of a video sequence using sps VUI information, field_pic_flag from a slice header and pic_struct from GstCodecParsers.H264PicTiming SEI message.

If framerate is variable or can't be determined, fps_num will be set to 0 and fps_den to 1.

Parameters:

`sps` (GstCodecParsers.H264SPS) –

Current Sequence Parameter Set

`field_pic_flag` (Number) –

Current field_pic_flag, obtained from latest slice header

`pic_struct` (Number) –

pic_struct value if available, 0 otherwise

### GstCodecParsers.h264_video_calculate_framerate

    def GstCodecParsers.h264_video_calculate_framerate (sps, field_pic_flag, pic_struct):
        #python wrapper for 'gst_h264_video_calculate_framerate'

Calculate framerate of a video sequence using sps VUI information, field_pic_flag from a slice header and pic_struct from GstCodecParsers.H264PicTiming SEI message.

If framerate is variable or can't be determined, fps_num will be set to 0 and fps_den to 1.

Parameters:

`sps` (GstCodecParsers.H264SPS) –

Current Sequence Parameter Set

`field_pic_flag` (int) –

Current field_pic_flag, obtained from latest slice header

`pic_struct` (int) –

pic_struct value if available, 0 otherwise

## Function Macros

### GST_H264_IS_B_SLICE

    #define GST_H264_IS_B_SLICE(slice)  (((slice)->type % 5) == GST_H264_B_SLICE)

### GST_H264_IS_I_SLICE

    #define GST_H264_IS_I_SLICE(slice)  (((slice)->type % 5) == GST_H264_I_SLICE)

### GST_H264_IS_MVC_NALU

    #define GST_H264_IS_MVC_NALU(nalu) \
      ((nalu)->extension_type == GST_H264_NAL_EXTENSION_MVC)

Check if nalu is a multiview extension NAL unit.

Parameters:

`nalu` –

a GstH264NalUnit

Since : 1.6

### GST_H264_IS_P_SLICE

    #define GST_H264_IS_P_SLICE(slice)  (((slice)->type % 5) == GST_H264_P_SLICE)

### GST_H264_IS_SI_SLICE

    #define GST_H264_IS_SI_SLICE(slice) (((slice)->type % 5) == GST_H264_SI_SLICE)

### GST_H264_IS_SP_SLICE

    #define GST_H264_IS_SP_SLICE(slice) (((slice)->type % 5) == GST_H264_SP_SLICE)

### GST_H264_IS_SVC_NALU

    #define GST_H264_IS_SVC_NALU(nalu) \
      ((nalu)->extension_type == GST_H264_NAL_EXTENSION_SVC)

Check if nalu is a scalable extension NAL unit.

Parameters:

`nalu` –

a GstH264NalUnit

Since : 1.6

## Enumerations

### GstCtType

##### Members

`GST_H264_CT_TYPE_PROGRESSIVE` (0) –
No description available
`GST_H264_CT_TYPE_INTERLACED` (1) –
No description available
`GST_H264_CT_TYPE_UNKNOWN` (2) –
No description available

### GstCodecParsers.CtType

##### Members

`GstCodecParsers.CtType.PROGRESSIVE` (0) –
No description available
`GstCodecParsers.CtType.INTERLACED` (1) –
No description available
`GstCodecParsers.CtType.UNKNOWN` (2) –
No description available

### GstCodecParsers.CtType

##### Members

`GstCodecParsers.CtType.PROGRESSIVE` (0) –
No description available
`GstCodecParsers.CtType.INTERLACED` (1) –
No description available
`GstCodecParsers.CtType.UNKNOWN` (2) –
No description available

### GstH264FramePackingType

Frame packing arrangement types.

##### Members

`GST_H264_FRAME_PACKING_NONE` (6) –

A complete 2D frame without any frame packing

`GST_H264_FRAME_PACKING_CHECKERBOARD_INTERLEAVING` (0) –

Checkerboard based interleaving

`GST_H264_FRAME_PACKING_COLUMN_INTERLEAVING` (1) –

Column based interleaving

`GST_H264_FRAME_PACKING_ROW_INTERLEAVING` (2) –

Row based interleaving

`GST_H264_FRAME_PACKING_SIDE_BY_SIDE` (3) –

Side-by-side packing

`GST_H264_FRMAE_PACKING_TOP_BOTTOM` (4) –

Deprecated; use GST_H264_FRAME_PACKING_TOP_BOTTOM instead

`GST_H264_FRAME_PACKING_TOP_BOTTOM` (4) –

Top-Bottom packing

(Since: 1.22)
`GST_H264_FRAME_PACKING_TEMPORAL_INTERLEAVING` (5) –

Temporal interleaving

Since : 1.6

### GstCodecParsers.H264FramePackingType

Frame packing arrangement types.

##### Members

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_NONE` (6) –

A complete 2D frame without any frame packing

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_CHECKERBOARD_INTERLEAVING` (0) –

Checkerboard based interleaving

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_COLUMN_INTERLEAVING` (1) –

Column based interleaving

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_ROW_INTERLEAVING` (2) –

Row based interleaving

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_SIDE_BY_SIDE` (3) –

Side-by-side packing

`GstCodecParsers.H264FramePackingType.FRMAE_PACKING_TOP_BOTTOM` (4) –

Deprecated; use GST_H264_FRAME_PACKING_TOP_BOTTOM instead

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_TOP_BOTTOM` (4) –

Top-Bottom packing

(Since: 1.22)
`GstCodecParsers.H264FramePackingType.FRAME_PACKING_TEMPORAL_INTERLEAVING` (5) –

Temporal interleaving

Since : 1.6

### GstCodecParsers.H264FramePackingType

Frame packing arrangement types.

##### Members

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_NONE` (6) –

A complete 2D frame without any frame packing

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_CHECKERBOARD_INTERLEAVING` (0) –

Checkerboard based interleaving

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_COLUMN_INTERLEAVING` (1) –

Column based interleaving

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_ROW_INTERLEAVING` (2) –

Row based interleaving

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_SIDE_BY_SIDE` (3) –

Side-by-side packing

`GstCodecParsers.H264FramePackingType.FRMAE_PACKING_TOP_BOTTOM` (4) –

Deprecated; use GST_H264_FRAME_PACKING_TOP_BOTTOM instead

`GstCodecParsers.H264FramePackingType.FRAME_PACKING_TOP_BOTTOM` (4) –

Top-Bottom packing

(Since: 1.22)
`GstCodecParsers.H264FramePackingType.FRAME_PACKING_TEMPORAL_INTERLEAVING` (5) –

Temporal interleaving

Since : 1.6

### GstH264Level

H.264 level

##### Members

`GST_H264_LEVEL_L1` (10) –

Level 1

`GST_H264_LEVEL_L1B` (9) –

Level 1b

`GST_H264_LEVEL_L1_1` (11) –

Level 1.1

`GST_H264_LEVEL_L1_2` (12) –

Level 1.2

`GST_H264_LEVEL_L1_3` (13) –

Level 1.3

`GST_H264_LEVEL_L2` (20) –

Level 2

`GST_H264_LEVEL_L2_1` (21) –

Level 2.1

`GST_H264_LEVEL_L2_2` (22) –

Level 2.2

`GST_H264_LEVEL_L3` (30) –

Level 3

`GST_H264_LEVEL_L3_1` (31) –

Level 3.1

`GST_H264_LEVEL_L3_2` (32) –

Level 3.2

`GST_H264_LEVEL_L4` (40) –

Level 4

`GST_H264_LEVEL_L4_1` (41) –

Level 4.1

`GST_H264_LEVEL_L4_2` (42) –

Level 4.2

`GST_H264_LEVEL_L5` (50) –

Level 5

`GST_H264_LEVEL_L5_1` (51) –

Level 5.1

`GST_H264_LEVEL_L5_2` (52) –

Level 5.2

`GST_H264_LEVEL_L6` (60) –

Level 6

`GST_H264_LEVEL_L6_1` (61) –

Level 6.1

`GST_H264_LEVEL_L6_2` (62) –

Level 6.2

Since : 1.24

### GstCodecParsers.H264Level

H.264 level

##### Members

`GstCodecParsers.H264Level.L1` (10) –

Level 1

`GstCodecParsers.H264Level.L1B` (9) –

Level 1b

`GstCodecParsers.H264Level.L1_1` (11) –

Level 1.1

`GstCodecParsers.H264Level.L1_2` (12) –

Level 1.2

`GstCodecParsers.H264Level.L1_3` (13) –

Level 1.3

`GstCodecParsers.H264Level.L2` (20) –

Level 2

`GstCodecParsers.H264Level.L2_1` (21) –

Level 2.1

`GstCodecParsers.H264Level.L2_2` (22) –

Level 2.2

`GstCodecParsers.H264Level.L3` (30) –

Level 3

`GstCodecParsers.H264Level.L3_1` (31) –

Level 3.1

`GstCodecParsers.H264Level.L3_2` (32) –

Level 3.2

`GstCodecParsers.H264Level.L4` (40) –

Level 4

`GstCodecParsers.H264Level.L4_1` (41) –

Level 4.1

`GstCodecParsers.H264Level.L4_2` (42) –

Level 4.2

`GstCodecParsers.H264Level.L5` (50) –

Level 5

`GstCodecParsers.H264Level.L5_1` (51) –

Level 5.1

`GstCodecParsers.H264Level.L5_2` (52) –

Level 5.2

`GstCodecParsers.H264Level.L6` (60) –

Level 6

`GstCodecParsers.H264Level.L6_1` (61) –

Level 6.1

`GstCodecParsers.H264Level.L6_2` (62) –

Level 6.2

Since : 1.24

### GstCodecParsers.H264Level

H.264 level

##### Members

`GstCodecParsers.H264Level.L1` (10) –

Level 1

`GstCodecParsers.H264Level.L1B` (9) –

Level 1b

`GstCodecParsers.H264Level.L1_1` (11) –

Level 1.1

`GstCodecParsers.H264Level.L1_2` (12) –

Level 1.2

`GstCodecParsers.H264Level.L1_3` (13) –

Level 1.3

`GstCodecParsers.H264Level.L2` (20) –

Level 2

`GstCodecParsers.H264Level.L2_1` (21) –

Level 2.1

`GstCodecParsers.H264Level.L2_2` (22) –

Level 2.2

`GstCodecParsers.H264Level.L3` (30) –

Level 3

`GstCodecParsers.H264Level.L3_1` (31) –

Level 3.1

`GstCodecParsers.H264Level.L3_2` (32) –

Level 3.2

`GstCodecParsers.H264Level.L4` (40) –

Level 4

`GstCodecParsers.H264Level.L4_1` (41) –

Level 4.1

`GstCodecParsers.H264Level.L4_2` (42) –

Level 4.2

`GstCodecParsers.H264Level.L5` (50) –

Level 5

`GstCodecParsers.H264Level.L5_1` (51) –

Level 5.1

`GstCodecParsers.H264Level.L5_2` (52) –

Level 5.2

`GstCodecParsers.H264Level.L6` (60) –

Level 6

`GstCodecParsers.H264Level.L6_1` (61) –

Level 6.1

`GstCodecParsers.H264Level.L6_2` (62) –

Level 6.2

Since : 1.24

### GstH264NalUnitExtensionType

Indicates the type of H.264 NAL unit extension.

##### Members

`GST_H264_NAL_EXTENSION_NONE` (0) –

No NAL unit header extension is available

`GST_H264_NAL_EXTENSION_SVC` (1) –

NAL unit header extension for SVC (Annex G)

`GST_H264_NAL_EXTENSION_MVC` (2) –

NAL unit header extension for MVC (Annex H)

Since : 1.6

### GstCodecParsers.H264NalUnitExtensionType

Indicates the type of H.264 NAL unit extension.

##### Members

`GstCodecParsers.H264NalUnitExtensionType.NONE` (0) –

No NAL unit header extension is available

`GstCodecParsers.H264NalUnitExtensionType.SVC` (1) –

NAL unit header extension for SVC (Annex G)

`GstCodecParsers.H264NalUnitExtensionType.MVC` (2) –

NAL unit header extension for MVC (Annex H)

Since : 1.6

### GstCodecParsers.H264NalUnitExtensionType

Indicates the type of H.264 NAL unit extension.

##### Members

`GstCodecParsers.H264NalUnitExtensionType.NONE` (0) –

No NAL unit header extension is available

`GstCodecParsers.H264NalUnitExtensionType.SVC` (1) –

NAL unit header extension for SVC (Annex G)

`GstCodecParsers.H264NalUnitExtensionType.MVC` (2) –

NAL unit header extension for MVC (Annex H)

Since : 1.6

### GstH264NalUnitType

Indicates the type of H264 Nal Units

##### Members

`GST_H264_NAL_UNKNOWN` (0) –

Unknown nal type

`GST_H264_NAL_SLICE` (1) –

Slice nal

`GST_H264_NAL_SLICE_DPA` (2) –

DPA slice nal

`GST_H264_NAL_SLICE_DPB` (3) –

DPB slice nal

`GST_H264_NAL_SLICE_DPC` (4) –

DPC slice nal

`GST_H264_NAL_SLICE_IDR` (5) –

DPR slice nal

`GST_H264_NAL_SEI` (6) –

Supplemental enhancement information (SEI) nal unit

`GST_H264_NAL_SPS` (7) –

Sequence parameter set (SPS) nal unit

`GST_H264_NAL_PPS` (8) –

Picture parameter set (PPS) nal unit

`GST_H264_NAL_AU_DELIMITER` (9) –

Access unit (AU) delimiter nal unit

`GST_H264_NAL_SEQ_END` (10) –

End of sequence nal unit

`GST_H264_NAL_STREAM_END` (11) –

End of stream nal unit

`GST_H264_NAL_FILLER_DATA` (12) –

Filler data nal lunit

`GST_H264_NAL_SPS_EXT` (13) –

Sequence parameter set (SPS) extension NAL unit

`GST_H264_NAL_PREFIX_UNIT` (14) –

Prefix NAL unit

`GST_H264_NAL_SUBSET_SPS` (15) –

Subset sequence parameter set (SSPS) NAL unit

`GST_H264_NAL_DEPTH_SPS` (16) –

Depth parameter set (DPS) NAL unit

`GST_H264_NAL_RSV_1` (17) –

First reserved parameter

(Since: 1.24)
`GST_H264_NAL_RSV_2` (18) –

Second reserved parameter

(Since: 1.24)
`GST_H264_NAL_SLICE_AUX` (19) –

Auxiliary coded picture without partitioning NAL unit

`GST_H264_NAL_SLICE_EXT` (20) –

Coded slice extension NAL unit

`GST_H264_NAL_SLICE_DEPTH` (21) –

Coded slice extension for depth or 3D-AVC texture view

### GstCodecParsers.H264NalUnitType

Indicates the type of H264 Nal Units

##### Members

`GstCodecParsers.H264NalUnitType.UNKNOWN` (0) –

Unknown nal type

`GstCodecParsers.H264NalUnitType.SLICE` (1) –

Slice nal

`GstCodecParsers.H264NalUnitType.SLICE_DPA` (2) –

DPA slice nal

`GstCodecParsers.H264NalUnitType.SLICE_DPB` (3) –

DPB slice nal

`GstCodecParsers.H264NalUnitType.SLICE_DPC` (4) –

DPC slice nal

`GstCodecParsers.H264NalUnitType.SLICE_IDR` (5) –

DPR slice nal

`GstCodecParsers.H264NalUnitType.SEI` (6) –

Supplemental enhancement information (SEI) nal unit

`GstCodecParsers.H264NalUnitType.SPS` (7) –

Sequence parameter set (SPS) nal unit

`GstCodecParsers.H264NalUnitType.PPS` (8) –

Picture parameter set (PPS) nal unit

`GstCodecParsers.H264NalUnitType.AU_DELIMITER` (9) –

Access unit (AU) delimiter nal unit

`GstCodecParsers.H264NalUnitType.SEQ_END` (10) –

End of sequence nal unit

`GstCodecParsers.H264NalUnitType.STREAM_END` (11) –

End of stream nal unit

`GstCodecParsers.H264NalUnitType.FILLER_DATA` (12) –

Filler data nal lunit

`GstCodecParsers.H264NalUnitType.SPS_EXT` (13) –

Sequence parameter set (SPS) extension NAL unit

`GstCodecParsers.H264NalUnitType.PREFIX_UNIT` (14) –

Prefix NAL unit

`GstCodecParsers.H264NalUnitType.SUBSET_SPS` (15) –

Subset sequence parameter set (SSPS) NAL unit

`GstCodecParsers.H264NalUnitType.DEPTH_SPS` (16) –

Depth parameter set (DPS) NAL unit

`GstCodecParsers.H264NalUnitType.RSV_1` (17) –

First reserved parameter

(Since: 1.24)
`GstCodecParsers.H264NalUnitType.RSV_2` (18) –

Second reserved parameter

(Since: 1.24)
`GstCodecParsers.H264NalUnitType.SLICE_AUX` (19) –

Auxiliary coded picture without partitioning NAL unit

`GstCodecParsers.H264NalUnitType.SLICE_EXT` (20) –

Coded slice extension NAL unit

`GstCodecParsers.H264NalUnitType.SLICE_DEPTH` (21) –

Coded slice extension for depth or 3D-AVC texture view

### GstCodecParsers.H264NalUnitType

Indicates the type of H264 Nal Units

##### Members

`GstCodecParsers.H264NalUnitType.UNKNOWN` (0) –

Unknown nal type

`GstCodecParsers.H264NalUnitType.SLICE` (1) –

Slice nal

`GstCodecParsers.H264NalUnitType.SLICE_DPA` (2) –

DPA slice nal

`GstCodecParsers.H264NalUnitType.SLICE_DPB` (3) –

DPB slice nal

`GstCodecParsers.H264NalUnitType.SLICE_DPC` (4) –

DPC slice nal

`GstCodecParsers.H264NalUnitType.SLICE_IDR` (5) –

DPR slice nal

`GstCodecParsers.H264NalUnitType.SEI` (6) –

Supplemental enhancement information (SEI) nal unit

`GstCodecParsers.H264NalUnitType.SPS` (7) –

Sequence parameter set (SPS) nal unit

`GstCodecParsers.H264NalUnitType.PPS` (8) –

Picture parameter set (PPS) nal unit

`GstCodecParsers.H264NalUnitType.AU_DELIMITER` (9) –

Access unit (AU) delimiter nal unit

`GstCodecParsers.H264NalUnitType.SEQ_END` (10) –

End of sequence nal unit

`GstCodecParsers.H264NalUnitType.STREAM_END` (11) –

End of stream nal unit

`GstCodecParsers.H264NalUnitType.FILLER_DATA` (12) –

Filler data nal lunit

`GstCodecParsers.H264NalUnitType.SPS_EXT` (13) –

Sequence parameter set (SPS) extension NAL unit

`GstCodecParsers.H264NalUnitType.PREFIX_UNIT` (14) –

Prefix NAL unit

`GstCodecParsers.H264NalUnitType.SUBSET_SPS` (15) –

Subset sequence parameter set (SSPS) NAL unit

`GstCodecParsers.H264NalUnitType.DEPTH_SPS` (16) –

Depth parameter set (DPS) NAL unit

`GstCodecParsers.H264NalUnitType.RSV_1` (17) –

First reserved parameter

(Since: 1.24)
`GstCodecParsers.H264NalUnitType.RSV_2` (18) –

Second reserved parameter

(Since: 1.24)
`GstCodecParsers.H264NalUnitType.SLICE_AUX` (19) –

Auxiliary coded picture without partitioning NAL unit

`GstCodecParsers.H264NalUnitType.SLICE_EXT` (20) –

Coded slice extension NAL unit

`GstCodecParsers.H264NalUnitType.SLICE_DEPTH` (21) –

Coded slice extension for depth or 3D-AVC texture view

### GstH264ParserResult

The result of parsing H264 data.

##### Members

`GST_H264_PARSER_OK` (0) –

The parsing succeeded

`GST_H264_PARSER_BROKEN_DATA` (1) –

The data to parse is broken

`GST_H264_PARSER_BROKEN_LINK` (2) –

The link to structure needed for the parsing couldn't be found

`GST_H264_PARSER_ERROR` (3) –

An error occurred when parsing

`GST_H264_PARSER_NO_NAL` (4) –

No NAL unit found during the parsing

`GST_H264_PARSER_NO_NAL_END` (5) –

Start of the NAL unit found, but not the end. This will be returned if no start/sync marker for the next NAL unit was found. In this case the parser will assume that the end of the data is also the end of the NAL unit. Whether this assumption is correct or not depends on the context, which only the caller can know, which is why a special result value is returned in this case. If the data is NAL-aligned then GST_H264_PARSER_NO_NAL_END can be treated just like GST_H264_PARSER_OK. If the data is not guaranteed to be NAL-aligned, then the caller probably wants to collect more data until there's another sync marker or the end of the stream has been reached.

### GstCodecParsers.H264ParserResult

The result of parsing H264 data.

##### Members

`GstCodecParsers.H264ParserResult.OK` (0) –

The parsing succeeded

`GstCodecParsers.H264ParserResult.BROKEN_DATA` (1) –

The data to parse is broken

`GstCodecParsers.H264ParserResult.BROKEN_LINK` (2) –

The link to structure needed for the parsing couldn't be found

`GstCodecParsers.H264ParserResult.ERROR` (3) –

An error occurred when parsing

`GstCodecParsers.H264ParserResult.NO_NAL` (4) –

No NAL unit found during the parsing

`GstCodecParsers.H264ParserResult.NO_NAL_END` (5) –

Start of the NAL unit found, but not the end. This will be returned if no start/sync marker for the next NAL unit was found. In this case the parser will assume that the end of the data is also the end of the NAL unit. Whether this assumption is correct or not depends on the context, which only the caller can know, which is why a special result value is returned in this case. If the data is NAL-aligned then GstCodecParsers.H264ParserResult.NO_NAL_END can be treated just like GstCodecParsers.H264ParserResult.OK. If the data is not guaranteed to be NAL-aligned, then the caller probably wants to collect more data until there's another sync marker or the end of the stream has been reached.

### GstCodecParsers.H264ParserResult

The result of parsing H264 data.

##### Members

`GstCodecParsers.H264ParserResult.OK` (0) –

The parsing succeeded

`GstCodecParsers.H264ParserResult.BROKEN_DATA` (1) –

The data to parse is broken

`GstCodecParsers.H264ParserResult.BROKEN_LINK` (2) –

The link to structure needed for the parsing couldn't be found

`GstCodecParsers.H264ParserResult.ERROR` (3) –

An error occurred when parsing

`GstCodecParsers.H264ParserResult.NO_NAL` (4) –

No NAL unit found during the parsing

`GstCodecParsers.H264ParserResult.NO_NAL_END` (5) –

Start of the NAL unit found, but not the end. This will be returned if no start/sync marker for the next NAL unit was found. In this case the parser will assume that the end of the data is also the end of the NAL unit. Whether this assumption is correct or not depends on the context, which only the caller can know, which is why a special result value is returned in this case. If the data is NAL-aligned then GstCodecParsers.H264ParserResult.NO_NAL_END can be treated just like GstCodecParsers.H264ParserResult.OK. If the data is not guaranteed to be NAL-aligned, then the caller probably wants to collect more data until there's another sync marker or the end of the stream has been reached.

### GstH264Profile

H.264 Profiles.

##### Members

`GST_H264_PROFILE_BASELINE` (66) –

Baseline profile (A.2.1)

`GST_H264_PROFILE_MAIN` (77) –

Main profile (A.2.2)

`GST_H264_PROFILE_EXTENDED` (88) –

Extended profile (A.2.3)

`GST_H264_PROFILE_HIGH` (100) –

High profile (A.2.4), or Progressive High profile (A.2.4.1), or Constrained High profile (A.2.4.2) depending on constraint_set4_flag and constraint_set5_flag

`GST_H264_PROFILE_HIGH10` (110) –

High 10 profile (A.2.5) or High 10 Intra profile (A.2.8), or Progressive High 10 profile (A.2.5.1) depending on constraint_set3_flag and constraint_set4_flag

`GST_H264_PROFILE_HIGH_422` (122) –

High 4:2:2 profile (A.2.6) or High 4:2:2 Intra profile (A.2.9), depending on constraint_set3_flag

`GST_H264_PROFILE_HIGH_444` (244) –

High 4:4:4 Predictive profile (A.2.7) or High 4:4:4 Intra profile (A.2.10), depending on the value of constraint_set3_flag

`GST_H264_PROFILE_MULTIVIEW_HIGH` (118) –

Multiview High profile (H.10.1.1)

`GST_H264_PROFILE_STEREO_HIGH` (128) –

Stereo High profile (H.10.1.2)

`GST_H264_PROFILE_SCALABLE_BASELINE` (83) –

Scalable Baseline profile (G.10.1.1)

`GST_H264_PROFILE_SCALABLE_HIGH` (86) –

Scalable High profile (G.10.1.2) or Scalable High Intra profile (G.10.1.3), depending on the value of constraint_set3_flag

`GST_H264_PROFILE_INVALID` (-1) –

Invalid H264 profile

(Since: 1.24)

Since : 1.2

### GstCodecParsers.H264Profile

H.264 Profiles.

##### Members

`GstCodecParsers.H264Profile.BASELINE` (66) –

Baseline profile (A.2.1)

`GstCodecParsers.H264Profile.MAIN` (77) –

Main profile (A.2.2)

`GstCodecParsers.H264Profile.EXTENDED` (88) –

Extended profile (A.2.3)

`GstCodecParsers.H264Profile.HIGH` (100) –

High profile (A.2.4), or Progressive High profile (A.2.4.1), or Constrained High profile (A.2.4.2) depending on constraint_set4_flag and constraint_set5_flag

`GstCodecParsers.H264Profile.HIGH10` (110) –

High 10 profile (A.2.5) or High 10 Intra profile (A.2.8), or Progressive High 10 profile (A.2.5.1) depending on constraint_set3_flag and constraint_set4_flag

`GstCodecParsers.H264Profile.HIGH_422` (122) –

High 4:2:2 profile (A.2.6) or High 4:2:2 Intra profile (A.2.9), depending on constraint_set3_flag

`GstCodecParsers.H264Profile.HIGH_444` (244) –

High 4:4:4 Predictive profile (A.2.7) or High 4:4:4 Intra profile (A.2.10), depending on the value of constraint_set3_flag

`GstCodecParsers.H264Profile.MULTIVIEW_HIGH` (118) –

Multiview High profile (H.10.1.1)

`GstCodecParsers.H264Profile.STEREO_HIGH` (128) –

Stereo High profile (H.10.1.2)

`GstCodecParsers.H264Profile.SCALABLE_BASELINE` (83) –

Scalable Baseline profile (G.10.1.1)

`GstCodecParsers.H264Profile.SCALABLE_HIGH` (86) –

Scalable High profile (G.10.1.2) or Scalable High Intra profile (G.10.1.3), depending on the value of constraint_set3_flag

`GstCodecParsers.H264Profile.INVALID` (-1) –

Invalid H264 profile

(Since: 1.24)

Since : 1.2

### GstCodecParsers.H264Profile

H.264 Profiles.

##### Members

`GstCodecParsers.H264Profile.BASELINE` (66) –

Baseline profile (A.2.1)

`GstCodecParsers.H264Profile.MAIN` (77) –

Main profile (A.2.2)

`GstCodecParsers.H264Profile.EXTENDED` (88) –

Extended profile (A.2.3)

`GstCodecParsers.H264Profile.HIGH` (100) –

High profile (A.2.4), or Progressive High profile (A.2.4.1), or Constrained High profile (A.2.4.2) depending on constraint_set4_flag and constraint_set5_flag

`GstCodecParsers.H264Profile.HIGH10` (110) –

High 10 profile (A.2.5) or High 10 Intra profile (A.2.8), or Progressive High 10 profile (A.2.5.1) depending on constraint_set3_flag and constraint_set4_flag

`GstCodecParsers.H264Profile.HIGH_422` (122) –

High 4:2:2 profile (A.2.6) or High 4:2:2 Intra profile (A.2.9), depending on constraint_set3_flag

`GstCodecParsers.H264Profile.HIGH_444` (244) –

High 4:4:4 Predictive profile (A.2.7) or High 4:4:4 Intra profile (A.2.10), depending on the value of constraint_set3_flag

`GstCodecParsers.H264Profile.MULTIVIEW_HIGH` (118) –

Multiview High profile (H.10.1.1)

`GstCodecParsers.H264Profile.STEREO_HIGH` (128) –

Stereo High profile (H.10.1.2)

`GstCodecParsers.H264Profile.SCALABLE_BASELINE` (83) –

Scalable Baseline profile (G.10.1.1)

`GstCodecParsers.H264Profile.SCALABLE_HIGH` (86) –

Scalable High profile (G.10.1.2) or Scalable High Intra profile (G.10.1.3), depending on the value of constraint_set3_flag

`GstCodecParsers.H264Profile.INVALID` (-1) –

Invalid H264 profile

(Since: 1.24)

Since : 1.2

### GstH264SEIPayloadType

The type of SEI message.

##### Members

`GST_H264_SEI_BUF_PERIOD` (0) –

Buffering Period SEI Message

`GST_H264_SEI_PIC_TIMING` (1) –

Picture Timing SEI Message

`GST_H264_SEI_REGISTERED_USER_DATA` (4) –

Registered user data (D.2.5)

`GST_H264_SEI_USER_DATA_UNREGISTERED` (5) –

User Data Unregistered (D.2.6)

(Since: 1.22)
`GST_H264_SEI_RECOVERY_POINT` (6) –

Recovery Point SEI Message (D.2.7)

`GST_H264_SEI_STEREO_VIDEO_INFO` (21) –

stereo video info SEI message (Since: 1.6)

`GST_H264_SEI_FRAME_PACKING` (45) –

Frame Packing Arrangement (FPA) message that contains the 3D arrangement for stereoscopic 3D video (Since: 1.6)

`GST_H264_SEI_MASTERING_DISPLAY_COLOUR_VOLUME` (137) –

Mastering display colour volume information SEI message (D.2.29) (Since: 1.18)

`GST_H264_SEI_CONTENT_LIGHT_LEVEL` (144) –

Content light level information SEI message (D.2.31) (Since: 1.18)

`GST_H264_SEI_UNHANDLED_PAYLOAD` (-1) –

Unhandled SEI message. This may or may not be defined by spec (Since 1.18) ...

### GstCodecParsers.H264SEIPayloadType

The type of SEI message.

##### Members

`GstCodecParsers.H264SEIPayloadType.BUF_PERIOD` (0) –

Buffering Period SEI Message

`GstCodecParsers.H264SEIPayloadType.PIC_TIMING` (1) –

Picture Timing SEI Message

`GstCodecParsers.H264SEIPayloadType.REGISTERED_USER_DATA` (4) –

Registered user data (D.2.5)

`GstCodecParsers.H264SEIPayloadType.USER_DATA_UNREGISTERED` (5) –

User Data Unregistered (D.2.6)

(Since: 1.22)
`GstCodecParsers.H264SEIPayloadType.RECOVERY_POINT` (6) –

Recovery Point SEI Message (D.2.7)

`GstCodecParsers.H264SEIPayloadType.STEREO_VIDEO_INFO` (21) –

stereo video info SEI message (Since: 1.6)

`GstCodecParsers.H264SEIPayloadType.FRAME_PACKING` (45) –

Frame Packing Arrangement (FPA) message that contains the 3D arrangement for stereoscopic 3D video (Since: 1.6)

`GstCodecParsers.H264SEIPayloadType.MASTERING_DISPLAY_COLOUR_VOLUME` (137) –

Mastering display colour volume information SEI message (D.2.29) (Since: 1.18)

`GstCodecParsers.H264SEIPayloadType.CONTENT_LIGHT_LEVEL` (144) –

Content light level information SEI message (D.2.31) (Since: 1.18)

`GstCodecParsers.H264SEIPayloadType.UNHANDLED_PAYLOAD` (-1) –

Unhandled SEI message. This may or may not be defined by spec (Since 1.18) ...

### GstCodecParsers.H264SEIPayloadType

The type of SEI message.

##### Members

`GstCodecParsers.H264SEIPayloadType.BUF_PERIOD` (0) –

Buffering Period SEI Message

`GstCodecParsers.H264SEIPayloadType.PIC_TIMING` (1) –

Picture Timing SEI Message

`GstCodecParsers.H264SEIPayloadType.REGISTERED_USER_DATA` (4) –

Registered user data (D.2.5)

`GstCodecParsers.H264SEIPayloadType.USER_DATA_UNREGISTERED` (5) –

User Data Unregistered (D.2.6)

(Since: 1.22)
`GstCodecParsers.H264SEIPayloadType.RECOVERY_POINT` (6) –

Recovery Point SEI Message (D.2.7)

`GstCodecParsers.H264SEIPayloadType.STEREO_VIDEO_INFO` (21) –

stereo video info SEI message (Since: 1.6)

`GstCodecParsers.H264SEIPayloadType.FRAME_PACKING` (45) –

Frame Packing Arrangement (FPA) message that contains the 3D arrangement for stereoscopic 3D video (Since: 1.6)

`GstCodecParsers.H264SEIPayloadType.MASTERING_DISPLAY_COLOUR_VOLUME` (137) –

Mastering display colour volume information SEI message (D.2.29) (Since: 1.18)

`GstCodecParsers.H264SEIPayloadType.CONTENT_LIGHT_LEVEL` (144) –

Content light level information SEI message (D.2.31) (Since: 1.18)

`GstCodecParsers.H264SEIPayloadType.UNHANDLED_PAYLOAD` (-1) –

Unhandled SEI message. This may or may not be defined by spec (Since 1.18) ...

### GstH264SEIPicStructType

SEI pic_struct type

##### Members

`GST_H264_SEI_PIC_STRUCT_FRAME` (0) –

Picture is a frame

`GST_H264_SEI_PIC_STRUCT_TOP_FIELD` (1) –

Top field of frame

`GST_H264_SEI_PIC_STRUCT_BOTTOM_FIELD` (2) –

Bottom field of frame

`GST_H264_SEI_PIC_STRUCT_TOP_BOTTOM` (3) –

Top bottom field of frame

`GST_H264_SEI_PIC_STRUCT_BOTTOM_TOP` (4) –

bottom top field of frame

`GST_H264_SEI_PIC_STRUCT_TOP_BOTTOM_TOP` (5) –

top bottom top field of frame

`GST_H264_SEI_PIC_STRUCT_BOTTOM_TOP_BOTTOM` (6) –

bottom top bottom field of frame

`GST_H264_SEI_PIC_STRUCT_FRAME_DOUBLING` (7) –

indicates that the frame should be displayed two times consecutively

`GST_H264_SEI_PIC_STRUCT_FRAME_TRIPLING` (8) –

indicates that the frame should be displayed three times consecutively

### GstCodecParsers.H264SEIPicStructType

SEI pic_struct type

##### Members

`GstCodecParsers.H264SEIPicStructType.FRAME` (0) –

Picture is a frame

`GstCodecParsers.H264SEIPicStructType.TOP_FIELD` (1) –

Top field of frame

`GstCodecParsers.H264SEIPicStructType.BOTTOM_FIELD` (2) –

Bottom field of frame

`GstCodecParsers.H264SEIPicStructType.TOP_BOTTOM` (3) –

Top bottom field of frame

`GstCodecParsers.H264SEIPicStructType.BOTTOM_TOP` (4) –

bottom top field of frame

`GstCodecParsers.H264SEIPicStructType.TOP_BOTTOM_TOP` (5) –

top bottom top field of frame

`GstCodecParsers.H264SEIPicStructType.BOTTOM_TOP_BOTTOM` (6) –

bottom top bottom field of frame

`GstCodecParsers.H264SEIPicStructType.FRAME_DOUBLING` (7) –

indicates that the frame should be displayed two times consecutively

`GstCodecParsers.H264SEIPicStructType.FRAME_TRIPLING` (8) –

indicates that the frame should be displayed three times consecutively

### GstCodecParsers.H264SEIPicStructType

SEI pic_struct type

##### Members

`GstCodecParsers.H264SEIPicStructType.FRAME` (0) –

Picture is a frame

`GstCodecParsers.H264SEIPicStructType.TOP_FIELD` (1) –

Top field of frame

`GstCodecParsers.H264SEIPicStructType.BOTTOM_FIELD` (2) –

Bottom field of frame

`GstCodecParsers.H264SEIPicStructType.TOP_BOTTOM` (3) –

Top bottom field of frame

`GstCodecParsers.H264SEIPicStructType.BOTTOM_TOP` (4) –

bottom top field of frame

`GstCodecParsers.H264SEIPicStructType.TOP_BOTTOM_TOP` (5) –

top bottom top field of frame

`GstCodecParsers.H264SEIPicStructType.BOTTOM_TOP_BOTTOM` (6) –

bottom top bottom field of frame

`GstCodecParsers.H264SEIPicStructType.FRAME_DOUBLING` (7) –

indicates that the frame should be displayed two times consecutively

`GstCodecParsers.H264SEIPicStructType.FRAME_TRIPLING` (8) –

indicates that the frame should be displayed three times consecutively

### GstH264SliceType

Type of Picture slice

##### Members

`GST_H264_P_SLICE` (0) –
No description available
`GST_H264_B_SLICE` (1) –
No description available
`GST_H264_I_SLICE` (2) –
No description available
`GST_H264_SP_SLICE` (3) –
No description available
`GST_H264_SI_SLICE` (4) –
No description available
`GST_H264_S_P_SLICE` (5) –
No description available
`GST_H264_S_B_SLICE` (6) –
No description available
`GST_H264_S_I_SLICE` (7) –
No description available
`GST_H264_S_SP_SLICE` (8) –
No description available
`GST_H264_S_SI_SLICE` (9) –
No description available

### GstCodecParsers.H264SliceType

Type of Picture slice

##### Members

`GstCodecParsers.H264SliceType.P_SLICE` (0) –
No description available
`GstCodecParsers.H264SliceType.B_SLICE` (1) –
No description available
`GstCodecParsers.H264SliceType.I_SLICE` (2) –
No description available
`GstCodecParsers.H264SliceType.SP_SLICE` (3) –
No description available
`GstCodecParsers.H264SliceType.SI_SLICE` (4) –
No description available
`GstCodecParsers.H264SliceType.S_P_SLICE` (5) –
No description available
`GstCodecParsers.H264SliceType.S_B_SLICE` (6) –
No description available
`GstCodecParsers.H264SliceType.S_I_SLICE` (7) –
No description available
`GstCodecParsers.H264SliceType.S_SP_SLICE` (8) –
No description available
`GstCodecParsers.H264SliceType.S_SI_SLICE` (9) –
No description available

### GstCodecParsers.H264SliceType

Type of Picture slice

##### Members

`GstCodecParsers.H264SliceType.P_SLICE` (0) –
No description available
`GstCodecParsers.H264SliceType.B_SLICE` (1) –
No description available
`GstCodecParsers.H264SliceType.I_SLICE` (2) –
No description available
`GstCodecParsers.H264SliceType.SP_SLICE` (3) –
No description available
`GstCodecParsers.H264SliceType.SI_SLICE` (4) –
No description available
`GstCodecParsers.H264SliceType.S_P_SLICE` (5) –
No description available
`GstCodecParsers.H264SliceType.S_B_SLICE` (6) –
No description available
`GstCodecParsers.H264SliceType.S_I_SLICE` (7) –
No description available
`GstCodecParsers.H264SliceType.S_SP_SLICE` (8) –
No description available
`GstCodecParsers.H264SliceType.S_SI_SLICE` (9) –
No description available

## Constants

### GST_H264_MAX_PPS_COUNT

    #define GST_H264_MAX_PPS_COUNT   256

### GstCodecParsers.H264_MAX_PPS_COUNT

### GST_H264_MAX_SPS_COUNT

    #define GST_H264_MAX_SPS_COUNT   32

### GstCodecParsers.H264_MAX_SPS_COUNT

### GST_H264_MAX_VIEW_COUNT

    #define GST_H264_MAX_VIEW_COUNT  1024

### GstCodecParsers.H264_MAX_VIEW_COUNT

### GST_H264_MAX_VIEW_ID

    #define GST_H264_MAX_VIEW_ID     (GST_H264_MAX_VIEW_COUNT - 1)

### GstCodecParsers.H264_MAX_VIEW_ID

The results of the search are